//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 3 lights, 15 textures and 1470 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 10/31/1995    (31.10.1995)
//

//
//  This is a custom include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "stones.inc"
#include "shapes.inc"

#include "txtrcstm.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
#include "enviro.inc"

camera {  //  Camera MainCamera
  location  <0.000, -56.000, 3.700>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 30.000, 3.500>
}

// *******  L I G H T S *******
light_source {   // SgLight
  <1.331, 37.249, 8.696>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // MainTempLight
  <5.293, -6.921, 8.752>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // MainTempLight1
  <-5.097, 18.803, 2.962>
  color rgb <0.412, 0.412, 0.412>
}


//
// ********  T E X T U R E S  *******
//

#include "TCOMP12.INC"

// ********  O B J E C T S *******















































union {
  // -->>> dCPanel1
  difference {
    // -->>> uCPanel1
    union {
      // -->>> PanelBody1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <3.000000, 0.200000, 1.190000>
      }
      // -->>> PanelKickBrd1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <3.075000, 0.275000, 0.125000>
        translate <0.000000, 0.000000, -1.065000>
      }
      // -->>> CPTrmTop1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <3.000000, 0.020000, 0.150000>
        translate <0.000000, 0.220000, 1.040000>
      }
      // -->>> CPTrmEndA1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.100000, 0.020000, 1.024571>
        translate <-2.900000, 0.220000, -0.155616>
      }
      // -->>> CPTrmEndB1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.100000, 0.020000, 1.024571>
        translate <2.900000, 0.220000, -0.155616>
      }
    }
    // -->>> dCPCut1
    difference {
      // -->>> CPCutBlk1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <-2.500000, -0.314596, 0.165000>
    }
    // -->>> dCPCut2
    difference {
      // -->>> CPCutBlk2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <-1.500000, -0.314596, 0.165000>
    }
    // -->>> dCPCut3
    difference {
      // -->>> CPCutBlk3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <-0.500000, -0.314596, 0.165000>
    }
    // -->>> dCPCut4
    difference {
      // -->>> CPCutBlk4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <0.500000, -0.314596, 0.165000>
    }
    // -->>> dCPCut5
    difference {
      // -->>> CPCutBlk5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <1.500000, -0.314596, 0.165000>
    }
    // -->>> dCPCut6
    difference {
      // -->>> CPCutBlk6
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA6
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB6
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC6
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD6
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <2.500000, -0.314596, 0.165000>
    }
    texture {
      CPanelColor
    }
  }
  // -->>> WoodRail1
  union {
    // -->>> WRElip1
    cylinder {
      <0,0,1>, <0,0,0>, 1
      scale <0.100000, 0.250000, 6.000000>
      rotate <0.000000, -90.000000, 0.000000>
      translate <3.000000, 0.000000, 1.250000>
    }
    // -->>> WRTop1
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <3.000000, 0.125000, 0.050000>
      translate <0.000000, 0.000000, 1.350000>
    }
    // -->>> WREnd1
    object { 
      sphere {<0,0,0>,1}
      scale <0.100000, 0.250000, 0.100000>
      translate <3.000000, 0.000000, 1.250000>
    }
    texture {
      CCFWood1
      scale <0.500000, 0.500000, 0.500000>
      rotate <3.000000, -85.000000, -2.000000>
    }
  }
  translate <-6.500000, 0.000000, -3.615281>
}







union {
  // -->>> SgHfFrame
  object { 
    height_field {
      gif "staing1f.gif" 
      water_level 0.054902
    }
    rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
    scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
    translate < -1,-1,-1> // Center around origin
    texture {
      FrameBlack
    }
    scale <2.682000, 6.282000, 0.300000>
    rotate <90.000000, 0.000000, 0.000000>
  }
  // -->>> SgHfRed
  object { 
    height_field {
      gif "staing1r.gif" 
      water_level 0.054902
    }
    rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
    scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
    translate < -1,-1,-1> // Center around origin
    texture {
      Red_Glass
    }
    scale <2.682000, 6.282000, 0.200000>
    rotate <90.000000, 0.000000, 0.000000>
  }
  // -->>> SgHfWht1
  object { 
    height_field {
      gif "staing1w.gif" 
      water_level 0.054902
    }
    rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
    scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
    translate < -1,-1,-1> // Center around origin
    texture {
      White_Glass
    }
    scale <2.682000, 6.282000, 0.200000>
    rotate <90.000000, 0.000000, 0.000000>
  }
  // -->>> SgHfDkBlue
  object { 
    height_field {
      gif "staing1b.gif" 
      water_level 0.054902
    }
    rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
    scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
    translate < -1,-1,-1> // Center around origin
    texture {
      DkBlue_Glass
    }
    scale <2.682000, 6.282000, 0.200000>
    rotate <90.000000, 0.000000, 0.000000>
  }
  // -->>> SgHfLtBlue
  object { 
    height_field {
      gif "staing1l.gif" 
      water_level 0.054902
    }
    rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
    scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
    translate < -1,-1,-1> // Center around origin
    texture {
      LtBlue_Glass
    }
    scale <2.682000, 6.282000, 0.200000>
    rotate <90.000000, 0.000000, 0.000000>
  }
  // -->>> SgHfDkGreen
  object { 
    height_field {
      gif "staing1g.gif" 
      water_level 0.054902
    }
    rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
    scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
    translate < -1,-1,-1> // Center around origin
    texture {
      DkGreen_Glass
    }
    scale <2.682000, 6.282000, 0.200000>
    rotate <90.000000, 0.000000, 0.000000>
  }
  no_shadow
  scale <1.000000, 1.000000, 0.790000>
  translate <0.000000, 31.350808, 6.277096>
}

box {   // WhitePlane
  <-1, -1, -1>, <1, 1, 1>
  texture {
    WhitePlaneColor
  }
  scale <4.000000, 0.100000, 6.000000>
  translate <0.000000, 40.938407, 6.568852>
}
























difference {
  // -->>> uDoorMjr
  union {
    // -->>> dDoorFrame
    difference {
      // -->>> DoorFrame
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.700000, 1.000000, 3.500000>
      }
      // -->>> DoorCutout
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.220000, 1.050000, 3.250000>
        translate <0.000000, 0.000000, -0.250000>
      }
    }
    // -->>> DoorBody
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.175000, 1.000000, 3.200000>
      translate <0.000000, 0.000000, -0.250000>
    }
    translate <-12.500000, 0.950343, -2.500000>
  }
  // -->>> dDorCtr
  difference {
    // -->>> DorCutBlk
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.777000, 0.925000, 1.000000>
    }
    // -->>> DrCurMtr1
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, -45.000000, 0.000000>
      translate <-0.840000, 0.000000, 0.890000>
    }
    // -->>> DrCutMtr2
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, 45.000000, 0.000000>
      translate <0.840000, 0.000000, 0.890000>
    }
    // -->>> DrCutMtr3
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <-45.000000, 0.000000, 0.000000>
      translate <0.000000, 0.950000, 0.900000>
    }
    // -->>> DrCutMtr4
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <45.000000, 0.000000, 0.000000>
      translate <0.000000, -0.950000, 0.900000>
    }
    rotate <-90.000000, 0.000000, 0.000000>
    translate <-12.500000, -0.889918, -0.850000>
  }
  // -->>> dDorCtr1
  difference {
    // -->>> DorCutBlk1
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.777000, 0.925000, 1.000000>
    }
    // -->>> DrCurMtr2
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, -45.000000, 0.000000>
      translate <-0.840000, 0.000000, 0.890000>
    }
    // -->>> DrCutMtr5
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, 45.000000, 0.000000>
      translate <0.840000, 0.000000, 0.890000>
    }
    // -->>> DrCutMtr6
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <-45.000000, 0.000000, 0.000000>
      translate <0.000000, 0.950000, 0.900000>
    }
    // -->>> DrCutMtr7
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <45.000000, 0.000000, 0.000000>
      translate <0.000000, -0.950000, 0.900000>
    }
    rotate <-90.000000, 0.000000, 0.000000>
    translate <-12.500000, -0.889918, -4.244029>
  }
  // -->>> dDrCtrSml
  difference {
    // -->>> DorCutBlk2
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.777000, 0.250000, 1.000000>
    }
    // -->>> DrCutMtr8
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <-45.000000, 0.000000, 0.000000>
      translate <0.000000, 0.300000, 0.900000>
    }
    // -->>> DrCutMtr9
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <45.000000, 0.000000, 0.000000>
      translate <0.000000, -0.300000, 0.900000>
    }
    // -->>> DrCurMtr3
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, -45.000000, 0.000000>
      translate <-0.840000, 0.000000, 0.890000>
    }
    // -->>> DrCutMtr10
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, 45.000000, 0.000000>
      translate <0.840000, 0.000000, 0.890000>
    }
    rotate <-90.000000, 0.000000, 0.000000>
    translate <-12.500000, -0.890000, -2.445756>
  }
  texture {
    OffWhite2
  }
  scale <1.000000, 0.400000, 1.000000>
  translate <0.000000, -0.100000, 0.000000>
}








union {
  // -->>> TopRail2
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <1.400000, 0.050000, 0.030000>
    translate <0.000000, 18.000000, -1.980000>
  }
  // -->>> RgtGatePst5
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025000, 0.100000, 1.250000>
    translate <-1.425000, 18.000000, -3.200000>
  }
  // -->>> RgtGatePst6
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025000, 0.100000, 1.250000>
    translate <1.425000, 18.000000, -3.200000>
  }
  // -->>> BtmRail2
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <1.400000, 0.050000, 0.030000>
    translate <0.000000, 18.000000, -4.060000>
  }
  // -->>> RgtGatePst7
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-0.643750, 18.000000, -3.029000>
  }
  // -->>> RgtGatePst8
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <0.643750, 18.000000, -3.028522>
  }
  // -->>> HfRgtGate
  object { 
    height_field {
      gif "gate1_.gif" 
      water_level 0.156863
    }
    rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
    scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
    translate < -1,-1,-1> // Center around origin
    texture {
      NearBlack
    }
    scale <1.400000, 1.250000, 0.050000>
    rotate <90.000000, 0.000000, 0.000000>
    translate <0.000000, 17.999685, -2.780000>
  }
  texture {
    NearBlack
  }
  translate <1.470000, 0.000000, 0.000000>
}



























































































































































































union {
  // -->>> uColTop2
  union {
    // -->>> Trima2
    union {
      // -->>> TrimA25
      difference {
        // -->>> ColTrmA25
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL25
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR25
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA26
      difference {
        // -->>> ColTrmA26
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL26
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR26
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA27
      difference {
        // -->>> ColTrmA27
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL27
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR27
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA28
      difference {
        // -->>> ColTrmA28
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL28
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR28
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, 4.050000>
    }
    // -->>> ColDiff2
    difference {
      // -->>> ColunPrime4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.625000, 0.625000, 1.025000>
        translate <0.000000, 0.000000, 5.075000>
      }
      // -->>> PatCut5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 0.100000, 0.240000>
        rotate <0.000000, 0.000000, -90.000000>
        translate <-0.650000, 0.000000, 4.600000>
      }
    }
    // -->>> TrimE2
    union {
      // -->>> ScotiaMain8
      difference {
        // -->>> ScotaBody8
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut8
        difference {
          // -->>> ScBigTube8
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut8
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut8
        difference {
          // -->>> ScSmlTube8
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut8
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm9
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft9
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt9
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        translate <0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain9
      difference {
        // -->>> ScotaBody9
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut9
        difference {
          // -->>> ScBigTube9
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut9
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut9
        difference {
          // -->>> ScSmlTube9
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut9
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm10
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft10
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt10
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -90.000000>
        translate <0.000000, -0.450000, 0.000000>
      }
      // -->>> ScotiaMain10
      difference {
        // -->>> ScotaBody10
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut10
        difference {
          // -->>> ScBigTube10
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut10
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut10
        difference {
          // -->>> ScSmlTube10
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut10
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm11
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft11
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt11
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -180.000000>
        translate <-0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain11
      difference {
        // -->>> ScotaBody11
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut11
        difference {
          // -->>> ScBigTube11
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut11
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut11
        difference {
          // -->>> ScSmlTube11
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut11
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm12
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft12
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt12
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -270.000000>
        translate <0.000000, 0.450000, 0.000000>
      }
      scale <1.500000, 1.500000, 1.000000>
      translate <0.000000, 0.000000, 5.100000>
    }
    // -->>> uTopCap2
    union {
      // -->>> TopCap2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.923600, 0.923600, 0.050000>
        translate <0.000000, 0.000000, 6.050000>
      }
      // -->>> TrimB2
      difference {
        // -->>> ColTrimB2
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.924000, 0.924000, 0.100000>
          translate <0.000000, 0.000000, 0.025000>
        }
        // -->>> MtrB9
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, -0.984000, -0.168322>
        }
        // -->>> MtrB10
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <0.984000, 0.000000, -0.168322>
        }
        // -->>> MtrB11
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, 0.984000, -0.168322>
        }
        // -->>> MtrB12
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <-0.984000, 0.000000, -0.168322>
        }
        translate <0.000000, 0.000000, 5.875000>
      }
      // -->>> TrimC2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.723770, 0.723770, 0.075000>
        translate <0.000000, 0.000000, 5.725000>
      }
      // -->>> TrimD2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.620000, 0.620000, 0.100000>
        translate <0.000000, 0.000000, 5.550000>
      }
      scale <1.250000, 1.250000, 1.000000>
    }
    // -->>> iStar5
    intersection {
      // -->>> uStar5
      union {
        // -->>> PatA91
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          translate <0.000000, 0.800000, 0.000000>
        }
        // -->>> PatA92
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -20.000000>
          translate <0.273616, 0.751754, 0.000000>
        }
        // -->>> PatA93
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -40.000000>
          translate <0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA94
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -60.000000>
          translate <0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA95
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -80.000000>
          translate <0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA96
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -100.000000>
          translate <0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA97
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -120.000000>
          translate <0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA98
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -140.000000>
          translate <0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA99
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -160.000000>
          translate <0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA100
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -180.000000>
          translate <0.000000, -0.800000, 0.000000>
        }
        // -->>> PatA101
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -200.000000>
          translate <-0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA102
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -220.000000>
          translate <-0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA103
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -240.000000>
          translate <-0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA104
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -260.000000>
          translate <-0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA105
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -280.000000>
          translate <-0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA106
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -300.000000>
          translate <-0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA107
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -320.000000>
          translate <-0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA108
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -340.000000>
          translate <-0.273616, 0.751754, 0.000000>
        }
        // -->>> PatCntr5
        object { 
          sphere {<0,0,0>,1}
          scale <0.300000, 0.180000, 0.150000>
        }
        scale <1.000000, 1.000000, 2.000000>
      }
      // -->>> StarLimit5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.500000, 1.250000, 0.350000>
      }
      scale <0.200000, 0.200000, 0.200000>
      rotate <-90.000000, 0.000000, -90.000000>
      translate <-0.570000, 0.000000, 4.600000>
    }
    scale <0.800000, 0.800000, 1.000000>
    translate <0.000000, 0.000000, 2.400000>
  }
  // -->>> ColBase2
  union {
    // -->>> TrimW2
    union {
      // -->>> TrimA29
      difference {
        // -->>> ColTrmA29
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL29
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR29
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA30
      difference {
        // -->>> ColTrmA30
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL30
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR30
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA31
      difference {
        // -->>> ColTrmA31
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL31
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR31
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA32
      difference {
        // -->>> ColTrmA32
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL32
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR32
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      scale <0.800000, 0.800000, 1.000000>
      translate <0.000000, 0.000000, -5.520000>
    }
    // -->>> TrimX14
    union {
      // -->>> TrimXX9
      difference {
        // -->>> TrimX10
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR9
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL9
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
      }
      // -->>> TrimXX10
      difference {
        // -->>> TrimX11
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR10
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL10
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimXX11
      difference {
        // -->>> TrimX12
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR11
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL11
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimXX12
      difference {
        // -->>> TrimX13
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR12
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL12
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
    }
    // -->>> TrimY2
    union {
      // -->>> TrimA33
      difference {
        // -->>> ColTrmA33
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL33
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR33
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA34
      difference {
        // -->>> ColTrmA34
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL34
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR34
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA35
      difference {
        // -->>> ColTrmA35
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL35
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR35
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA36
      difference {
        // -->>> ColTrmA36
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL36
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR36
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, -5.830000>
    }
    // -->>> Trimz2
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.625000, 0.625000, 0.110000>
      translate <0.000000, 0.000000, -5.990000>
    }
    translate <0.000000, 0.000000, 1.300000>
  }
  // -->>> dColPrime2
  difference {
    // -->>> ColunPrime5
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.500000, 0.500000, 5.335000>
      translate <0.000000, 0.000000, 1.115000>
    }
    // -->>> uFlutesA5
    union {
      // -->>> uFluteA40
      union {
        // -->>> FluteCylA40
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA40
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA40
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA41
      union {
        // -->>> FluteCylA41
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA41
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA41
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA42
      union {
        // -->>> FluteCylA42
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA42
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA42
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA43
      union {
        // -->>> FluteCylA43
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA43
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA43
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.280000, 0.000000, 0.000000>
      }
      // -->>> uFluteA44
      union {
        // -->>> FluteCylA44
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA44
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA44
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA45
      union {
        // -->>> FluteCylA45
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA45
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA45
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA46
      union {
        // -->>> FluteCylA46
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA46
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA46
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA47
      union {
        // -->>> FluteCylA47
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA47
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA47
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.280000, 0.000000, 0.000000>
      }
      rotate <0.000000, 0.000000, -90.000000>
      translate <-0.500000, 0.000000, 0.000000>
    }
  }
  texture {
    OffWhite1
  }
  translate <10.000000, 18.000000, 0.000000>
}











intersection {
  // -->>> LmtBlkMld1x
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.750000, 1.000000, 1.000000>
    translate <0.750000, 0.000000, -1.000000>
  }
  // -->>> dMld1
  difference {
    // -->>> uMld1x
    union {
      // -->>> BaseBlock
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 1.000000, 0.700000>
        translate <0.300000, 0.000000, -0.700000>
      }
      // -->>> SecondBlock
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.250000, 1.000000, 0.450000>
        translate <0.850000, 0.000000, -0.450000>
      }
      // -->>> Mld1SmlRnd1
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.000000, -1.000000, -1.700000>
      }
      // -->>> Mld1SmlRnd2
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.300000, -1.000000, -1.400000>
      }
      // -->>> Mld1LrgRnd1
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.300000, -1.000000, 0.000000>
      }
      // -->>> Mld1LrgRnd2
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.100000, -1.000000, -0.200000>
      }
    }
    // -->>> CnCaveMld1x
    cylinder {
      <0,0,1>, <0,0,0>, 1
      scale <0.500000, 0.500000, 2.100000>
      rotate <-90.000000, 0.000000, 0.000000>
      translate <1.100000, -1.050000, -0.900000>
    }
  }
  texture {
    OffWhite2
  }
  scale <0.400000, 14.500000, 0.400000>
  translate <-10.000000, 14.500000, 8.500000>
}































union {
  // -->>> BigDifference
  difference {
    // -->>> MainBlock
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <30.000000, 16.000000, 25.000000>
      translate <0.000000, 17.000000, 0.000000>
    }
    // -->>> CubicCutOut
    box {
      <-1, -1, -1>, <1, 1, 1>
      texture {
        CubicCutoutColor
      }
      scale <10.000000, 10.000000, 7.000000>
      translate <0.000000, 10.000000, 1.533333>
    }
    // -->>> ArchCutOut
    union {
      // -->>> ArchWedge
      difference {
        // -->>> CylBigArch
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <14.533000, 14.533000, 20.000000>
          rotate <-90.000000, 0.000000, 0.000000>
        }
        // -->>> LftWedgeLmt
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <10.000000, 10.000000, 25.000000>
          rotate <0.000000, -34.041000, 0.000000>
          translate <-12.068007, 10.000000, 0.000000>
        }
        // -->>> RgtWedgeLmt
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <10.000000, 10.000000, 25.000000>
          rotate <0.000000, 34.041000, 0.000000>
          translate <12.068007, 10.000000, 0.000000>
        }
      }
      // -->>> LftSubArch
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <4.235000, 4.235000, 20.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <-5.765000, 0.000000, 8.533000>
      }
      // -->>> RgtSubArch
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <4.235000, 4.235000, 20.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <5.765000, 0.000000, 8.533000>
      }
      scale <1.000000, 1.000000, 0.900000>
      translate <-0.018248, 0.000000, 0.853634>
    }
    // -->>> uSgCut
    union {
      // -->>> uSgCut1
      union {
        // -->>> SgCutCyl1
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <2.682500, 2.682500, 2.000000>
          rotate <-90.000000, 0.000000, 0.000000>
          translate <0.000000, -1.000000, 8.551670>
        }
        // -->>> SgCutCub1
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <2.682500, 1.000000, 3.600000>
          translate <0.000000, 0.000000, 4.933330>
        }
        translate <0.000000, 20.800000, -0.000003>
      }
      // -->>> uSgCut2
      union {
        // -->>> SgCutCyl2
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <3.000000, 3.000000, 2.000000>
          rotate <-90.000000, 0.000000, 0.000000>
          translate <0.000000, -1.000000, 8.551670>
        }
        // -->>> SgCutCub2
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <3.000000, 1.000000, 3.760000>
          translate <0.000000, 0.000000, 4.773000>
        }
        translate <0.000000, 20.400000, -0.000003>
      }
      // -->>> uSgCut3
      union {
        // -->>> SgCutCyl3
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <3.300000, 3.300000, 2.000000>
          rotate <-90.000000, 0.000000, 0.000000>
          translate <0.000000, -1.000000, 8.551670>
        }
        // -->>> SgCutCub3
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <3.300000, 1.000000, 3.910000>
          translate <0.000000, 0.000000, 4.623000>
        }
        translate <0.000000, 20.000000, -0.000003>
      }
      // -->>> uSgCut4
      union {
        // -->>> SgCutCyl4
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <3.500000, 3.500000, 2.000000>
          rotate <-90.000000, 0.000000, 0.000000>
          translate <0.000000, -1.000000, 8.551670>
        }
        // -->>> SgCutCub4
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <3.500000, 1.000000, 4.010000>
          translate <0.000000, 0.000000, 4.523000>
        }
        translate <0.000000, 19.600000, -0.000003>
      }
      // -->>> uSgCut5
      union {
        // -->>> SgCutCyl5
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <3.800000, 3.800000, 2.000000>
          rotate <-90.000000, 0.000000, 0.000000>
          translate <0.000000, -1.000000, 8.551670>
        }
        // -->>> SgCutCub5
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <3.800000, 1.000000, 4.160000>
          translate <0.000000, 0.000000, 4.373000>
        }
        translate <0.000000, 19.200000, -0.000003>
      }
    }
    // -->>> RearRoomCut
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <32.000000, 18.000000, 27.000000>
      translate <0.000000, 39.733076, 0.000000>
    }
    scale <1.000000, 1.500000, 1.000000>
    translate <0.000000, -1.500000, 0.000000>
  }
  // -->>> iTorus
  intersection {
    // -->>> Torus001
    torus { 
      4.700, 0.100  // Major, minor radius
      rotate -x*90
      scale <1.000000, 1.000000, 3.000000>
      rotate <-90.000000, 0.000000, 0.000000>
      translate <0.000000, 28.500000, 8.530000>
    }
    // -->>> TorusCut
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <8.000000, 1.000000, 10.000000>
      translate <0.000000, 28.500000, 18.333000>
    }
  }
  texture {
    OffWhite1
  }
}



















































































































































































































































union {
  // -->>> uColTop
  union {
    // -->>> Trima
    union {
      // -->>> TrimA1
      difference {
        // -->>> ColTrmA1
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL1
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR1
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA2
      difference {
        // -->>> ColTrmA2
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL2
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR2
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA3
      difference {
        // -->>> ColTrmA3
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL3
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR3
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA4
      difference {
        // -->>> ColTrmA4
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL4
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR4
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, 4.050000>
    }
    // -->>> ColDiff
    difference {
      // -->>> ColunPrime1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.625000, 0.625000, 1.025000>
        translate <0.000000, 0.000000, 5.075000>
      }
      // -->>> PatCut
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 0.100000, 0.240000>
        translate <0.000000, -0.650000, 4.600000>
      }
      // -->>> PatCut1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 0.100000, 0.240000>
        rotate <0.000000, 0.000000, -90.000000>
        translate <-0.650000, 0.000000, 4.600000>
      }
    }
    // -->>> iStar
    intersection {
      // -->>> uStar
      union {
        // -->>> PatA1
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          translate <0.000000, 0.800000, 0.000000>
        }
        // -->>> PatA2
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -20.000000>
          translate <0.273616, 0.751754, 0.000000>
        }
        // -->>> PatA3
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -40.000000>
          translate <0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA4
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -60.000000>
          translate <0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA5
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -80.000000>
          translate <0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA6
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -100.000000>
          translate <0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA7
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -120.000000>
          translate <0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA8
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -140.000000>
          translate <0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA9
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -160.000000>
          translate <0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA10
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -180.000000>
          translate <0.000000, -0.800000, 0.000000>
        }
        // -->>> PatA11
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -200.000000>
          translate <-0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA12
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -220.000000>
          translate <-0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA13
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -240.000000>
          translate <-0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA14
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -260.000000>
          translate <-0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA15
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -280.000000>
          translate <-0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA16
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -300.000000>
          translate <-0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA17
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -320.000000>
          translate <-0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA18
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -340.000000>
          translate <-0.273616, 0.751754, 0.000000>
        }
        // -->>> PatCntr
        object { 
          sphere {<0,0,0>,1}
          scale <0.300000, 0.180000, 0.150000>
        }
        scale <1.000000, 1.000000, 2.000000>
      }
      // -->>> StarLimit
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.500000, 1.250000, 0.350000>
      }
      scale <0.200000, 0.200000, 0.200000>
      rotate <-90.000000, 0.000000, 0.000000>
      translate <0.000000, -0.570000, 4.600000>
    }
    // -->>> TrimE
    union {
      // -->>> ScotiaMain
      difference {
        // -->>> ScotaBody
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut
        difference {
          // -->>> ScBigTube
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut
        difference {
          // -->>> ScSmlTube
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm1
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft1
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt1
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        translate <0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain1
      difference {
        // -->>> ScotaBody1
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut1
        difference {
          // -->>> ScBigTube1
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut1
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut1
        difference {
          // -->>> ScSmlTube1
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut1
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm2
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft2
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt2
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -90.000000>
        translate <0.000000, -0.450000, 0.000000>
      }
      // -->>> ScotiaMain2
      difference {
        // -->>> ScotaBody2
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut2
        difference {
          // -->>> ScBigTube2
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut2
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut2
        difference {
          // -->>> ScSmlTube2
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut2
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm3
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft3
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt3
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -180.000000>
        translate <-0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain3
      difference {
        // -->>> ScotaBody3
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut3
        difference {
          // -->>> ScBigTube3
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut3
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut3
        difference {
          // -->>> ScSmlTube3
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut3
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm4
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft4
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt4
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -270.000000>
        translate <0.000000, 0.450000, 0.000000>
      }
      scale <1.500000, 1.500000, 1.000000>
      translate <0.000000, 0.000000, 5.100000>
    }
    // -->>> uTopCap
    union {
      // -->>> TopCap
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.923600, 0.923600, 0.050000>
        translate <0.000000, 0.000000, 6.050000>
      }
      // -->>> TrimB
      difference {
        // -->>> ColTrimB
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.924000, 0.924000, 0.100000>
          translate <0.000000, 0.000000, 0.025000>
        }
        // -->>> MtrB1
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, -0.984000, -0.168322>
        }
        // -->>> MtrB2
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <0.984000, 0.000000, -0.168322>
        }
        // -->>> MtrB3
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, 0.984000, -0.168322>
        }
        // -->>> MtrB4
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <-0.984000, 0.000000, -0.168322>
        }
        translate <0.000000, 0.000000, 5.875000>
      }
      // -->>> TrimC
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.723770, 0.723770, 0.075000>
        translate <0.000000, 0.000000, 5.725000>
      }
      // -->>> TrimD
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.620000, 0.620000, 0.100000>
        translate <0.000000, 0.000000, 5.550000>
      }
      scale <1.250000, 1.250000, 1.000000>
    }
    // -->>> iStar1
    intersection {
      // -->>> uStar1
      union {
        // -->>> PatA19
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          translate <0.000000, 0.800000, 0.000000>
        }
        // -->>> PatA20
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -20.000000>
          translate <0.273616, 0.751754, 0.000000>
        }
        // -->>> PatA21
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -40.000000>
          translate <0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA22
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -60.000000>
          translate <0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA23
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -80.000000>
          translate <0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA24
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -100.000000>
          translate <0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA25
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -120.000000>
          translate <0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA26
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -140.000000>
          translate <0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA27
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -160.000000>
          translate <0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA28
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -180.000000>
          translate <0.000000, -0.800000, 0.000000>
        }
        // -->>> PatA29
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -200.000000>
          translate <-0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA30
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -220.000000>
          translate <-0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA31
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -240.000000>
          translate <-0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA32
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -260.000000>
          translate <-0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA33
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -280.000000>
          translate <-0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA34
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -300.000000>
          translate <-0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA35
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -320.000000>
          translate <-0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA36
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -340.000000>
          translate <-0.273616, 0.751754, 0.000000>
        }
        // -->>> PatCntr1
        object { 
          sphere {<0,0,0>,1}
          scale <0.300000, 0.180000, 0.150000>
        }
        scale <1.000000, 1.000000, 2.000000>
      }
      // -->>> StarLimit1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.500000, 1.250000, 0.350000>
      }
      scale <0.200000, 0.200000, 0.200000>
      rotate <-90.000000, 0.000000, -90.000000>
      translate <-0.570000, 0.000000, 4.600000>
    }
    scale <0.800000, 0.800000, 1.000000>
    translate <0.000000, 0.000000, 2.400000>
  }
  // -->>> ColBase
  union {
    // -->>> TrimW
    union {
      // -->>> TrimA9
      difference {
        // -->>> ColTrmA9
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL9
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR9
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA10
      difference {
        // -->>> ColTrmA10
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL10
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR10
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA11
      difference {
        // -->>> ColTrmA11
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL11
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR11
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA12
      difference {
        // -->>> ColTrmA12
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL12
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR12
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      scale <0.800000, 0.800000, 1.000000>
      translate <0.000000, 0.000000, -5.520000>
    }
    // -->>> TrimX
    union {
      // -->>> TrimXX1
      difference {
        // -->>> TrimX1
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR1
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL1
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
      }
      // -->>> TrimXX2
      difference {
        // -->>> TrimX2
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR2
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL2
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimXX3
      difference {
        // -->>> TrimX3
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR3
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL3
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimXX4
      difference {
        // -->>> TrimX4
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR4
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL4
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
    }
    // -->>> TrimY
    union {
      // -->>> TrimA5
      difference {
        // -->>> ColTrmA5
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL5
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR5
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA6
      difference {
        // -->>> ColTrmA6
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL6
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR6
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA7
      difference {
        // -->>> ColTrmA7
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL7
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR7
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA8
      difference {
        // -->>> ColTrmA8
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL8
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR8
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, -5.830000>
    }
    // -->>> Trimz
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.625000, 0.625000, 0.110000>
      translate <0.000000, 0.000000, -5.990000>
    }
    translate <0.000000, 0.000000, 1.300000>
  }
  // -->>> dColPrime
  difference {
    // -->>> ColunPrime
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.500000, 0.500000, 5.335000>
      translate <0.000000, 0.000000, 1.115000>
    }
    // -->>> uFlutesA
    union {
      // -->>> uFluteA
      union {
        // -->>> FluteCylA
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA1
      union {
        // -->>> FluteCylA1
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA1
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA1
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA2
      union {
        // -->>> FluteCylA2
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA2
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA2
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA3
      union {
        // -->>> FluteCylA3
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA3
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA3
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.280000, 0.000000, 0.000000>
      }
      // -->>> uFluteA4
      union {
        // -->>> FluteCylA4
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA4
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA4
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA5
      union {
        // -->>> FluteCylA5
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA5
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA5
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA6
      union {
        // -->>> FluteCylA6
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA6
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA6
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA7
      union {
        // -->>> FluteCylA7
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA7
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA7
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.280000, 0.000000, 0.000000>
      }
      translate <0.000000, -0.500000, 0.000000>
    }
    // -->>> uFlutesA1
    union {
      // -->>> uFluteA8
      union {
        // -->>> FluteCylA8
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA8
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA8
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA9
      union {
        // -->>> FluteCylA9
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA9
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA9
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA10
      union {
        // -->>> FluteCylA10
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA10
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA10
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA11
      union {
        // -->>> FluteCylA11
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA11
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA11
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.280000, 0.000000, 0.000000>
      }
      // -->>> uFluteA12
      union {
        // -->>> FluteCylA12
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA12
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA12
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA13
      union {
        // -->>> FluteCylA13
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA13
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA13
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA14
      union {
        // -->>> FluteCylA14
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA14
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA14
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA15
      union {
        // -->>> FluteCylA15
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA15
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA15
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.280000, 0.000000, 0.000000>
      }
      rotate <0.000000, 0.000000, -90.000000>
      translate <-0.500000, 0.000000, 0.000000>
    }
  }
  texture {
    OffWhite1
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <-10.000000, 0.000000, 0.000000>
}



















































































































































































































































union {
  // -->>> uColTop1
  union {
    // -->>> Trima1
    union {
      // -->>> TrimA13
      difference {
        // -->>> ColTrmA13
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL13
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR13
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA14
      difference {
        // -->>> ColTrmA14
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL14
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR14
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA15
      difference {
        // -->>> ColTrmA15
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL15
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR15
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA16
      difference {
        // -->>> ColTrmA16
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL16
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR16
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, 4.050000>
    }
    // -->>> ColDiff1
    difference {
      // -->>> ColunPrime2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.625000, 0.625000, 1.025000>
        translate <0.000000, 0.000000, 5.075000>
      }
      // -->>> PatCut2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 0.100000, 0.240000>
        translate <0.000000, -0.650000, 4.600000>
      }
      // -->>> PatCut3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 0.100000, 0.240000>
        rotate <0.000000, 0.000000, -90.000000>
        translate <-0.650000, 0.000000, 4.600000>
      }
    }
    // -->>> iStar2
    intersection {
      // -->>> uStar2
      union {
        // -->>> PatA37
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          translate <0.000000, 0.800000, 0.000000>
        }
        // -->>> PatA38
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -20.000000>
          translate <0.273616, 0.751754, 0.000000>
        }
        // -->>> PatA39
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -40.000000>
          translate <0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA40
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -60.000000>
          translate <0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA41
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -80.000000>
          translate <0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA42
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -100.000000>
          translate <0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA43
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -120.000000>
          translate <0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA44
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -140.000000>
          translate <0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA45
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -160.000000>
          translate <0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA46
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -180.000000>
          translate <0.000000, -0.800000, 0.000000>
        }
        // -->>> PatA47
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -200.000000>
          translate <-0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA48
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -220.000000>
          translate <-0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA49
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -240.000000>
          translate <-0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA50
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -260.000000>
          translate <-0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA51
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -280.000000>
          translate <-0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA52
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -300.000000>
          translate <-0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA53
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -320.000000>
          translate <-0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA54
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -340.000000>
          translate <-0.273616, 0.751754, 0.000000>
        }
        // -->>> PatCntr2
        object { 
          sphere {<0,0,0>,1}
          scale <0.300000, 0.180000, 0.150000>
        }
        scale <1.000000, 1.000000, 2.000000>
      }
      // -->>> StarLimit2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.500000, 1.250000, 0.350000>
      }
      scale <0.200000, 0.200000, 0.200000>
      rotate <-90.000000, 0.000000, 0.000000>
      translate <0.000000, -0.570000, 4.600000>
    }
    // -->>> TrimE1
    union {
      // -->>> ScotiaMain4
      difference {
        // -->>> ScotaBody4
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut4
        difference {
          // -->>> ScBigTube4
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut4
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut4
        difference {
          // -->>> ScSmlTube4
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut4
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm5
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft5
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt5
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        translate <0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain5
      difference {
        // -->>> ScotaBody5
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut5
        difference {
          // -->>> ScBigTube5
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut5
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut5
        difference {
          // -->>> ScSmlTube5
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut5
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm6
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft6
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt6
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -90.000000>
        translate <0.000000, -0.450000, 0.000000>
      }
      // -->>> ScotiaMain6
      difference {
        // -->>> ScotaBody6
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut6
        difference {
          // -->>> ScBigTube6
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut6
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut6
        difference {
          // -->>> ScSmlTube6
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut6
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm7
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft7
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt7
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -180.000000>
        translate <-0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain7
      difference {
        // -->>> ScotaBody7
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut7
        difference {
          // -->>> ScBigTube7
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut7
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut7
        difference {
          // -->>> ScSmlTube7
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut7
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm8
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft8
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt8
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -270.000000>
        translate <0.000000, 0.450000, 0.000000>
      }
      scale <1.500000, 1.500000, 1.000000>
      translate <0.000000, 0.000000, 5.100000>
    }
    // -->>> uTopCap1
    union {
      // -->>> TopCap1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.923600, 0.923600, 0.050000>
        translate <0.000000, 0.000000, 6.050000>
      }
      // -->>> TrimB1
      difference {
        // -->>> ColTrimB1
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.924000, 0.924000, 0.100000>
          translate <0.000000, 0.000000, 0.025000>
        }
        // -->>> MtrB5
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, -0.984000, -0.168322>
        }
        // -->>> MtrB6
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <0.984000, 0.000000, -0.168322>
        }
        // -->>> MtrB7
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, 0.984000, -0.168322>
        }
        // -->>> MtrB8
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <-0.984000, 0.000000, -0.168322>
        }
        translate <0.000000, 0.000000, 5.875000>
      }
      // -->>> TrimC1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.723770, 0.723770, 0.075000>
        translate <0.000000, 0.000000, 5.725000>
      }
      // -->>> TrimD1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.620000, 0.620000, 0.100000>
        translate <0.000000, 0.000000, 5.550000>
      }
      scale <1.250000, 1.250000, 1.000000>
    }
    // -->>> iStar3
    intersection {
      // -->>> uStar3
      union {
        // -->>> PatA55
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          translate <0.000000, 0.800000, 0.000000>
        }
        // -->>> PatA56
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -20.000000>
          translate <0.273616, 0.751754, 0.000000>
        }
        // -->>> PatA57
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -40.000000>
          translate <0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA58
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -60.000000>
          translate <0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA59
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -80.000000>
          translate <0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA60
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -100.000000>
          translate <0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA61
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -120.000000>
          translate <0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA62
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -140.000000>
          translate <0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA63
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -160.000000>
          translate <0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA64
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -180.000000>
          translate <0.000000, -0.800000, 0.000000>
        }
        // -->>> PatA65
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -200.000000>
          translate <-0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA66
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -220.000000>
          translate <-0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA67
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -240.000000>
          translate <-0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA68
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -260.000000>
          translate <-0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA69
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -280.000000>
          translate <-0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA70
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -300.000000>
          translate <-0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA71
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -320.000000>
          translate <-0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA72
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -340.000000>
          translate <-0.273616, 0.751754, 0.000000>
        }
        // -->>> PatCntr3
        object { 
          sphere {<0,0,0>,1}
          scale <0.300000, 0.180000, 0.150000>
        }
        scale <1.000000, 1.000000, 2.000000>
      }
      // -->>> StarLimit3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.500000, 1.250000, 0.350000>
      }
      scale <0.200000, 0.200000, 0.200000>
      rotate <-90.000000, 0.000000, -90.000000>
      translate <-0.570000, 0.000000, 4.600000>
    }
    scale <0.800000, 0.800000, 1.000000>
    translate <0.000000, 0.000000, 2.400000>
  }
  // -->>> ColBase1
  union {
    // -->>> TrimW1
    union {
      // -->>> TrimA17
      difference {
        // -->>> ColTrmA17
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL17
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR17
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA18
      difference {
        // -->>> ColTrmA18
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL18
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR18
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA19
      difference {
        // -->>> ColTrmA19
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL19
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR19
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA20
      difference {
        // -->>> ColTrmA20
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL20
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR20
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      scale <0.800000, 0.800000, 1.000000>
      translate <0.000000, 0.000000, -5.520000>
    }
    // -->>> TrimX9
    union {
      // -->>> TrimXX5
      difference {
        // -->>> TrimX5
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR5
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL5
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
      }
      // -->>> TrimXX6
      difference {
        // -->>> TrimX6
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR6
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL6
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimXX7
      difference {
        // -->>> TrimX7
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR7
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL7
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimXX8
      difference {
        // -->>> TrimX8
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR8
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL8
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
    }
    // -->>> TrimY1
    union {
      // -->>> TrimA21
      difference {
        // -->>> ColTrmA21
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL21
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR21
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA22
      difference {
        // -->>> ColTrmA22
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL22
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR22
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA23
      difference {
        // -->>> ColTrmA23
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL23
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR23
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA24
      difference {
        // -->>> ColTrmA24
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL24
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR24
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, -5.830000>
    }
    // -->>> Trimz1
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.625000, 0.625000, 0.110000>
      translate <0.000000, 0.000000, -5.990000>
    }
    translate <0.000000, 0.000000, 1.300000>
  }
  // -->>> dColPrime1
  difference {
    // -->>> ColunPrime3
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.500000, 0.500000, 5.335000>
      translate <0.000000, 0.000000, 1.115000>
    }
    // -->>> uFlutesA2
    union {
      // -->>> uFluteA16
      union {
        // -->>> FluteCylA16
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA16
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA16
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA17
      union {
        // -->>> FluteCylA17
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA17
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA17
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA18
      union {
        // -->>> FluteCylA18
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA18
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA18
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA19
      union {
        // -->>> FluteCylA19
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA19
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA19
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.280000, 0.000000, 0.000000>
      }
      // -->>> uFluteA20
      union {
        // -->>> FluteCylA20
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA20
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA20
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA21
      union {
        // -->>> FluteCylA21
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA21
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA21
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA22
      union {
        // -->>> FluteCylA22
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA22
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA22
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA23
      union {
        // -->>> FluteCylA23
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA23
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA23
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.280000, 0.000000, 0.000000>
      }
      translate <0.000000, -0.500000, 0.000000>
    }
    // -->>> uFlutesA3
    union {
      // -->>> uFluteA24
      union {
        // -->>> FluteCylA24
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA24
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA24
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA25
      union {
        // -->>> FluteCylA25
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA25
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA25
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA26
      union {
        // -->>> FluteCylA26
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA26
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA26
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA27
      union {
        // -->>> FluteCylA27
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA27
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA27
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.280000, 0.000000, 0.000000>
      }
      // -->>> uFluteA28
      union {
        // -->>> FluteCylA28
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA28
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA28
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA29
      union {
        // -->>> FluteCylA29
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA29
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA29
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA30
      union {
        // -->>> FluteCylA30
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA30
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA30
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA31
      union {
        // -->>> FluteCylA31
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA31
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA31
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.280000, 0.000000, 0.000000>
      }
      rotate <0.000000, 0.000000, -90.000000>
      translate <-0.500000, 0.000000, 0.000000>
    }
  }
  texture {
    OffWhite1
  }
  translate <10.000000, 0.000000, 0.000000>
}





























































































































































































































union {
  // -->>> uColTop3
  union {
    // -->>> Trima3
    union {
      // -->>> TrimA37
      difference {
        // -->>> ColTrmA37
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL37
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR37
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA38
      difference {
        // -->>> ColTrmA38
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL38
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR38
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA39
      difference {
        // -->>> ColTrmA39
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL39
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR39
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA40
      difference {
        // -->>> ColTrmA40
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL40
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR40
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, 4.050000>
    }
    // -->>> ColDiff3
    difference {
      // -->>> ColunPrime6
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.625000, 0.625000, 1.025000>
        translate <0.000000, 0.000000, 5.075000>
      }
      // -->>> PatCut6
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 0.100000, 0.240000>
        translate <0.000000, -0.650000, 4.600000>
      }
      // -->>> PatCut7
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 0.100000, 0.240000>
        rotate <0.000000, 0.000000, -90.000000>
        translate <-0.650000, 0.000000, 4.600000>
      }
    }
    // -->>> TrimE3
    union {
      // -->>> ScotiaMain12
      difference {
        // -->>> ScotaBody12
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut12
        difference {
          // -->>> ScBigTube12
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut12
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut12
        difference {
          // -->>> ScSmlTube12
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut12
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm13
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft13
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt13
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        translate <0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain13
      difference {
        // -->>> ScotaBody13
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut13
        difference {
          // -->>> ScBigTube13
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut13
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut13
        difference {
          // -->>> ScSmlTube13
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut13
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm14
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft14
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt14
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -90.000000>
        translate <0.000000, -0.450000, 0.000000>
      }
      // -->>> ScotiaMain14
      difference {
        // -->>> ScotaBody14
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut14
        difference {
          // -->>> ScBigTube14
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut14
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut14
        difference {
          // -->>> ScSmlTube14
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut14
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm15
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft15
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt15
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -180.000000>
        translate <-0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain15
      difference {
        // -->>> ScotaBody15
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut15
        difference {
          // -->>> ScBigTube15
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut15
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut15
        difference {
          // -->>> ScSmlTube15
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut15
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm16
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft16
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt16
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -270.000000>
        translate <0.000000, 0.450000, 0.000000>
      }
      scale <1.500000, 1.500000, 1.000000>
      translate <0.000000, 0.000000, 5.100000>
    }
    // -->>> uTopCap3
    union {
      // -->>> TopCap3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.923600, 0.923600, 0.050000>
        translate <0.000000, 0.000000, 6.050000>
      }
      // -->>> TrimB3
      difference {
        // -->>> ColTrimB3
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.924000, 0.924000, 0.100000>
          translate <0.000000, 0.000000, 0.025000>
        }
        // -->>> MtrB13
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, -0.984000, -0.168322>
        }
        // -->>> MtrB14
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <0.984000, 0.000000, -0.168322>
        }
        // -->>> MtrB15
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, 0.984000, -0.168322>
        }
        // -->>> MtrB16
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <-0.984000, 0.000000, -0.168322>
        }
        translate <0.000000, 0.000000, 5.875000>
      }
      // -->>> TrimC3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.723770, 0.723770, 0.075000>
        translate <0.000000, 0.000000, 5.725000>
      }
      // -->>> TrimD3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.620000, 0.620000, 0.100000>
        translate <0.000000, 0.000000, 5.550000>
      }
      scale <1.250000, 1.250000, 1.000000>
    }
    // -->>> iStar7
    intersection {
      // -->>> uStar7
      union {
        // -->>> PatA127
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          translate <0.000000, 0.800000, 0.000000>
        }
        // -->>> PatA128
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -20.000000>
          translate <0.273616, 0.751754, 0.000000>
        }
        // -->>> PatA129
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -40.000000>
          translate <0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA130
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -60.000000>
          translate <0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA131
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -80.000000>
          translate <0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA132
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -100.000000>
          translate <0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA133
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -120.000000>
          translate <0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA134
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -140.000000>
          translate <0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA135
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -160.000000>
          translate <0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA136
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -180.000000>
          translate <0.000000, -0.800000, 0.000000>
        }
        // -->>> PatA137
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -200.000000>
          translate <-0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA138
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -220.000000>
          translate <-0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA139
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -240.000000>
          translate <-0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA140
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -260.000000>
          translate <-0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA141
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -280.000000>
          translate <-0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA142
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -300.000000>
          translate <-0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA143
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -320.000000>
          translate <-0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA144
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -340.000000>
          translate <-0.273616, 0.751754, 0.000000>
        }
        // -->>> PatCntr7
        object { 
          sphere {<0,0,0>,1}
          scale <0.300000, 0.180000, 0.150000>
        }
        scale <1.000000, 1.000000, 2.000000>
      }
      // -->>> StarLimit7
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.500000, 1.250000, 0.350000>
      }
      scale <0.200000, 0.200000, 0.200000>
      rotate <-90.000000, 0.000000, -90.000000>
      translate <-0.570000, 0.000000, 4.600000>
    }
    scale <0.800000, 0.800000, 1.000000>
    translate <0.000000, 0.000000, 2.400000>
  }
  // -->>> ColBase3
  union {
    // -->>> TrimW3
    union {
      // -->>> TrimA41
      difference {
        // -->>> ColTrmA41
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL41
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR41
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA42
      difference {
        // -->>> ColTrmA42
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL42
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR42
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA43
      difference {
        // -->>> ColTrmA43
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL43
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR43
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA44
      difference {
        // -->>> ColTrmA44
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL44
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR44
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      scale <0.800000, 0.800000, 1.000000>
      translate <0.000000, 0.000000, -5.520000>
    }
    // -->>> TrimX19
    union {
      // -->>> TrimXX13
      difference {
        // -->>> TrimX15
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR13
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL13
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
      }
      // -->>> TrimXX14
      difference {
        // -->>> TrimX16
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR14
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL14
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimXX15
      difference {
        // -->>> TrimX17
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR15
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL15
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimXX16
      difference {
        // -->>> TrimX18
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR16
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL16
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
    }
    // -->>> TrimY3
    union {
      // -->>> TrimA45
      difference {
        // -->>> ColTrmA45
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL45
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR45
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA46
      difference {
        // -->>> ColTrmA46
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL46
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR46
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA47
      difference {
        // -->>> ColTrmA47
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL47
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR47
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA48
      difference {
        // -->>> ColTrmA48
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL48
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR48
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, -5.830000>
    }
    // -->>> Trimz3
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.625000, 0.625000, 0.110000>
      translate <0.000000, 0.000000, -5.990000>
    }
    translate <0.000000, 0.000000, 1.300000>
  }
  // -->>> dColPrime3
  difference {
    // -->>> ColunPrime7
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.500000, 0.500000, 5.335000>
      translate <0.000000, 0.000000, 1.115000>
    }
    // -->>> uFlutesA6
    union {
      // -->>> uFluteA48
      union {
        // -->>> FluteCylA48
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA48
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA48
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA49
      union {
        // -->>> FluteCylA49
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA49
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA49
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA50
      union {
        // -->>> FluteCylA50
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA50
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA50
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA51
      union {
        // -->>> FluteCylA51
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA51
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA51
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.280000, 0.000000, 0.000000>
      }
      // -->>> uFluteA52
      union {
        // -->>> FluteCylA52
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA52
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA52
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA53
      union {
        // -->>> FluteCylA53
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA53
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA53
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA54
      union {
        // -->>> FluteCylA54
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA54
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA54
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA55
      union {
        // -->>> FluteCylA55
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA55
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA55
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.280000, 0.000000, 0.000000>
      }
      translate <0.000000, -0.500000, 0.000000>
    }
    // -->>> uFlutesA7
    union {
      // -->>> uFluteA56
      union {
        // -->>> FluteCylA56
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA56
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA56
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA57
      union {
        // -->>> FluteCylA57
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA57
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA57
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA58
      union {
        // -->>> FluteCylA58
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA58
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA58
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA59
      union {
        // -->>> FluteCylA59
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA59
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA59
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.280000, 0.000000, 0.000000>
      }
      // -->>> uFluteA60
      union {
        // -->>> FluteCylA60
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA60
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA60
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA61
      union {
        // -->>> FluteCylA61
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA61
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA61
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA62
      union {
        // -->>> FluteCylA62
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA62
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA62
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA63
      union {
        // -->>> FluteCylA63
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA63
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA63
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.280000, 0.000000, 0.000000>
      }
      rotate <0.000000, 0.000000, -90.000000>
      translate <-0.500000, 0.000000, 0.000000>
    }
  }
  texture {
    OffWhite1
  }
  rotate <0.000000, 0.000000, -180.000000>
  translate <-10.000000, 18.000000, 0.000000>
}











intersection {
  // -->>> LmtBlkMld1x1
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.750000, 1.000000, 1.000000>
    translate <0.750000, 0.000000, -1.000000>
  }
  // -->>> dMld2
  difference {
    // -->>> uMld1x1
    union {
      // -->>> BaseBlock1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 1.000000, 0.700000>
        translate <0.300000, 0.000000, -0.700000>
      }
      // -->>> SecondBlock1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.250000, 1.000000, 0.450000>
        translate <0.850000, 0.000000, -0.450000>
      }
      // -->>> Mld1SmlRnd3
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.000000, -1.000000, -1.700000>
      }
      // -->>> Mld1SmlRnd4
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.300000, -1.000000, -1.400000>
      }
      // -->>> Mld1LrgRnd3
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.300000, -1.000000, 0.000000>
      }
      // -->>> Mld1LrgRnd4
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.100000, -1.000000, -0.200000>
      }
    }
    // -->>> CnCaveMld1x1
    cylinder {
      <0,0,1>, <0,0,0>, 1
      scale <0.500000, 0.500000, 2.100000>
      rotate <-90.000000, 0.000000, 0.000000>
      translate <1.100000, -1.050000, -0.900000>
    }
  }
  texture {
    OffWhite2
  }
  scale <0.400000, 14.500000, 0.400000>
  rotate <0.000000, 0.000000, -180.000000>
  translate <10.000000, 14.500000, 8.500000>
}











intersection {
  // -->>> LmtBlkMld1x2
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.750000, 1.000000, 1.000000>
    translate <0.750000, 0.000000, -1.000000>
  }
  // -->>> dMld3
  difference {
    // -->>> uMld1x2
    union {
      // -->>> BaseBlock2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 1.000000, 0.700000>
        translate <0.300000, 0.000000, -0.700000>
      }
      // -->>> SecondBlock2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.250000, 1.000000, 0.450000>
        translate <0.850000, 0.000000, -0.450000>
      }
      // -->>> Mld1SmlRnd5
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.000000, -1.000000, -1.700000>
      }
      // -->>> Mld1SmlRnd6
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.300000, -1.000000, -1.400000>
      }
      // -->>> Mld1LrgRnd5
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.300000, -1.000000, 0.000000>
      }
      // -->>> Mld1LrgRnd6
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.100000, -1.000000, -0.200000>
      }
    }
    // -->>> CnCaveMld1x2
    cylinder {
      <0,0,1>, <0,0,0>, 1
      scale <0.500000, 0.500000, 2.100000>
      rotate <-90.000000, 0.000000, 0.000000>
      translate <1.100000, -1.050000, -0.900000>
    }
  }
  texture {
    OffWhite2
  }
  scale <0.400000, 5.000000, 0.400000>
  rotate <0.000000, 0.000000, -90.000000>
  translate <-15.000000, 0.000000, 8.500000>
}











intersection {
  // -->>> LmtBlkMld1x3
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.750000, 1.000000, 1.000000>
    translate <0.750000, 0.000000, -1.000000>
  }
  // -->>> dMld4
  difference {
    // -->>> uMld1x3
    union {
      // -->>> BaseBlock3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 1.000000, 0.700000>
        translate <0.300000, 0.000000, -0.700000>
      }
      // -->>> SecondBlock3
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.250000, 1.000000, 0.450000>
        translate <0.850000, 0.000000, -0.450000>
      }
      // -->>> Mld1SmlRnd7
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.000000, -1.000000, -1.700000>
      }
      // -->>> Mld1SmlRnd8
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.300000, -1.000000, -1.400000>
      }
      // -->>> Mld1LrgRnd7
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.300000, -1.000000, 0.000000>
      }
      // -->>> Mld1LrgRnd8
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.100000, -1.000000, -0.200000>
      }
    }
    // -->>> CnCaveMld1x3
    cylinder {
      <0,0,1>, <0,0,0>, 1
      scale <0.500000, 0.500000, 2.100000>
      rotate <-90.000000, 0.000000, 0.000000>
      translate <1.100000, -1.050000, -0.900000>
    }
  }
  texture {
    OffWhite2
  }
  scale <0.400000, 5.000000, 0.400000>
  rotate <0.000000, 0.000000, -90.000000>
  translate <15.000000, 0.000000, 8.500000>
}










union {
  // -->>> LowFloor
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <35.000000, 9.000000, 0.250000>
    translate <0.000000, -6.500000, -6.250000>
  }
  // -->>> MiddleFloor
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <10.875000, 15.000000, 0.050000>
    translate <0.000000, 14.238216, -4.850000>
  }
  // -->>> LowKickBoard
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <10.875000, 0.004814, 0.617168>
    translate <0.000000, -0.700358, -5.457722>
  }
  // -->>> Step
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <4.200000, 0.500000, 0.050000>
    translate <0.000000, -1.127000, -5.450000>
  }
  // -->>> StepKickBoard
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <4.200000, 0.004814, 0.306489>
    translate <0.000000, -1.550000, -5.768401>
  }
  // -->>> LowUpperFlr
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <10.875000, 15.000000, 0.050000>
    translate <0.000000, 32.000000, -4.500000>
  }
  // -->>> HighKickBoard
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <10.875000, 0.004814, 0.617168>
    translate <0.000000, 17.091531, -5.107722>
  }
  // -->>> HighUpperFlr
  box {
    <-1, -1, -1>, <1, 1, 1>
    texture {
      CarpetColor
    }
    scale <7.000000, 15.000000, 0.050000>
    translate <0.000000, 37.000000, -4.150000>
  }
  // -->>> HighKickBoard1
  box {
    <-1, -1, -1>, <1, 1, 1>
    texture {
      CarpetColor
    }
    scale <7.000000, 0.004814, 0.617168>
    translate <0.000000, 22.091531, -4.757722>
  }
  texture {
    MyLightWood
  }
}
























difference {
  // -->>> uDoorMjr1
  union {
    // -->>> dDoorFrame1
    difference {
      // -->>> DoorFrame1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.700000, 1.000000, 3.500000>
      }
      // -->>> DoorCutout1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.220000, 1.050000, 3.250000>
        translate <0.000000, 0.000000, -0.250000>
      }
    }
    // -->>> DoorBody1
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.175000, 1.000000, 3.200000>
      translate <0.000000, 0.000000, -0.250000>
    }
    translate <-12.500000, 0.950343, -2.500000>
  }
  // -->>> dDorCtr2
  difference {
    // -->>> DorCutBlk3
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.777000, 0.925000, 1.000000>
    }
    // -->>> DrCurMtr4
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, -45.000000, 0.000000>
      translate <-0.840000, 0.000000, 0.890000>
    }
    // -->>> DrCutMtr11
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, 45.000000, 0.000000>
      translate <0.840000, 0.000000, 0.890000>
    }
    // -->>> DrCutMtr12
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <-45.000000, 0.000000, 0.000000>
      translate <0.000000, 0.950000, 0.900000>
    }
    // -->>> DrCutMtr13
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <45.000000, 0.000000, 0.000000>
      translate <0.000000, -0.950000, 0.900000>
    }
    rotate <-90.000000, 0.000000, 0.000000>
    translate <-12.500000, -0.889918, -0.850000>
  }
  // -->>> dDorCtr3
  difference {
    // -->>> DorCutBlk4
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.777000, 0.925000, 1.000000>
    }
    // -->>> DrCurMtr5
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, -45.000000, 0.000000>
      translate <-0.840000, 0.000000, 0.890000>
    }
    // -->>> DrCutMtr14
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, 45.000000, 0.000000>
      translate <0.840000, 0.000000, 0.890000>
    }
    // -->>> DrCutMtr15
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <-45.000000, 0.000000, 0.000000>
      translate <0.000000, 0.950000, 0.900000>
    }
    // -->>> DrCutMtr16
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <45.000000, 0.000000, 0.000000>
      translate <0.000000, -0.950000, 0.900000>
    }
    rotate <-90.000000, 0.000000, 0.000000>
    translate <-12.500000, -0.889918, -4.244029>
  }
  // -->>> dDrCtrSml1
  difference {
    // -->>> DorCutBlk5
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.777000, 0.250000, 1.000000>
    }
    // -->>> DrCutMtr17
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <-45.000000, 0.000000, 0.000000>
      translate <0.000000, 0.300000, 0.900000>
    }
    // -->>> DrCutMtr18
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <45.000000, 0.000000, 0.000000>
      translate <0.000000, -0.300000, 0.900000>
    }
    // -->>> DrCurMtr6
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, -45.000000, 0.000000>
      translate <-0.840000, 0.000000, 0.890000>
    }
    // -->>> DrCutMtr19
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <1.000000, 1.000000, 0.100000>
      rotate <0.000000, 45.000000, 0.000000>
      translate <0.840000, 0.000000, 0.890000>
    }
    rotate <-90.000000, 0.000000, 0.000000>
    translate <-12.500000, -0.890000, -2.445756>
  }
  texture {
    OffWhite2
  }
  scale <1.000000, 0.400000, 1.000000>
  translate <25.000000, -0.100000, 0.000000>
}



























































































































































































union {
  // -->>> uColTop4
  union {
    // -->>> Trima4
    union {
      // -->>> TrimA49
      difference {
        // -->>> ColTrmA49
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL49
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR49
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA50
      difference {
        // -->>> ColTrmA50
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL50
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR50
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA51
      difference {
        // -->>> ColTrmA51
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL51
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR51
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA52
      difference {
        // -->>> ColTrmA52
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL52
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR52
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, 4.050000>
    }
    // -->>> ColDiff4
    difference {
      // -->>> ColunPrime8
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.625000, 0.625000, 1.025000>
        translate <0.000000, 0.000000, 5.075000>
      }
      // -->>> PatCut8
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 0.100000, 0.240000>
        rotate <0.000000, 0.000000, -90.000000>
        translate <-0.650000, 0.000000, 4.600000>
      }
    }
    // -->>> TrimE4
    union {
      // -->>> ScotiaMain16
      difference {
        // -->>> ScotaBody16
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut16
        difference {
          // -->>> ScBigTube16
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut16
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut16
        difference {
          // -->>> ScSmlTube16
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut16
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm17
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft17
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt17
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        translate <0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain17
      difference {
        // -->>> ScotaBody17
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut17
        difference {
          // -->>> ScBigTube17
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut17
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut17
        difference {
          // -->>> ScSmlTube17
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut17
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm18
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft18
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt18
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -90.000000>
        translate <0.000000, -0.450000, 0.000000>
      }
      // -->>> ScotiaMain18
      difference {
        // -->>> ScotaBody18
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut18
        difference {
          // -->>> ScBigTube18
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut18
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut18
        difference {
          // -->>> ScSmlTube18
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut18
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm19
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft19
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt19
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -180.000000>
        translate <-0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain19
      difference {
        // -->>> ScotaBody19
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut19
        difference {
          // -->>> ScBigTube19
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut19
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut19
        difference {
          // -->>> ScSmlTube19
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut19
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm20
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft20
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt20
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -270.000000>
        translate <0.000000, 0.450000, 0.000000>
      }
      scale <1.500000, 1.500000, 1.000000>
      translate <0.000000, 0.000000, 5.100000>
    }
    // -->>> uTopCap4
    union {
      // -->>> TopCap4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.923600, 0.923600, 0.050000>
        translate <0.000000, 0.000000, 6.050000>
      }
      // -->>> TrimB4
      difference {
        // -->>> ColTrimB4
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.924000, 0.924000, 0.100000>
          translate <0.000000, 0.000000, 0.025000>
        }
        // -->>> MtrB17
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, -0.984000, -0.168322>
        }
        // -->>> MtrB18
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <0.984000, 0.000000, -0.168322>
        }
        // -->>> MtrB19
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, 0.984000, -0.168322>
        }
        // -->>> MtrB20
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <-0.984000, 0.000000, -0.168322>
        }
        translate <0.000000, 0.000000, 5.875000>
      }
      // -->>> TrimC4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.723770, 0.723770, 0.075000>
        translate <0.000000, 0.000000, 5.725000>
      }
      // -->>> TrimD4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.620000, 0.620000, 0.100000>
        translate <0.000000, 0.000000, 5.550000>
      }
      scale <1.250000, 1.250000, 1.000000>
    }
    // -->>> iStar4
    intersection {
      // -->>> uStar4
      union {
        // -->>> PatA73
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          translate <0.000000, 0.800000, 0.000000>
        }
        // -->>> PatA74
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -20.000000>
          translate <0.273616, 0.751754, 0.000000>
        }
        // -->>> PatA75
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -40.000000>
          translate <0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA76
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -60.000000>
          translate <0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA77
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -80.000000>
          translate <0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA78
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -100.000000>
          translate <0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA79
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -120.000000>
          translate <0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA80
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -140.000000>
          translate <0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA81
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -160.000000>
          translate <0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA82
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -180.000000>
          translate <0.000000, -0.800000, 0.000000>
        }
        // -->>> PatA83
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -200.000000>
          translate <-0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA84
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -220.000000>
          translate <-0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA85
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -240.000000>
          translate <-0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA86
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -260.000000>
          translate <-0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA87
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -280.000000>
          translate <-0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA88
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -300.000000>
          translate <-0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA89
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -320.000000>
          translate <-0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA90
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -340.000000>
          translate <-0.273616, 0.751754, 0.000000>
        }
        // -->>> PatCntr4
        object { 
          sphere {<0,0,0>,1}
          scale <0.300000, 0.180000, 0.150000>
        }
        scale <1.000000, 1.000000, 2.000000>
      }
      // -->>> StarLimit4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.500000, 1.250000, 0.350000>
      }
      scale <0.200000, 0.200000, 0.200000>
      rotate <-90.000000, 0.000000, -90.000000>
      translate <-0.570000, 0.000000, 4.600000>
    }
    scale <0.800000, 0.800000, 1.000000>
    translate <0.000000, 0.000000, -0.308200>
  }
  // -->>> ColBase4
  union {
    // -->>> TrimW4
    union {
      // -->>> TrimA53
      difference {
        // -->>> ColTrmA53
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL53
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR53
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA54
      difference {
        // -->>> ColTrmA54
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL54
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR54
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA55
      difference {
        // -->>> ColTrmA55
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL55
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR55
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA56
      difference {
        // -->>> ColTrmA56
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL56
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR56
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      scale <0.800000, 0.800000, 1.000000>
      translate <0.000000, 0.000000, -5.520000>
    }
    // -->>> TrimX24
    union {
      // -->>> TrimXX17
      difference {
        // -->>> TrimX20
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR17
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL17
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
      }
      // -->>> TrimXX18
      difference {
        // -->>> TrimX21
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR18
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL18
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimXX19
      difference {
        // -->>> TrimX22
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR19
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL19
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimXX20
      difference {
        // -->>> TrimX23
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR20
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL20
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
    }
    // -->>> TrimY4
    union {
      // -->>> TrimA57
      difference {
        // -->>> ColTrmA57
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL57
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR57
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA58
      difference {
        // -->>> ColTrmA58
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL58
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR58
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA59
      difference {
        // -->>> ColTrmA59
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL59
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR59
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA60
      difference {
        // -->>> ColTrmA60
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL60
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR60
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, -5.830000>
    }
    // -->>> Trimz4
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.625000, 0.625000, 0.110000>
      translate <0.000000, 0.000000, -5.990000>
    }
    translate <0.000000, 0.000000, 3.071800>
  }
  // -->>> dColPrime4
  difference {
    // -->>> ColunPrime9
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.500000, 0.500000, 5.335000>
      translate <0.000000, 0.000000, 1.115000>
    }
    // -->>> uFlutesA8
    union {
      // -->>> uFluteA64
      union {
        // -->>> FluteCylA64
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA64
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA64
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA65
      union {
        // -->>> FluteCylA65
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA65
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA65
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA66
      union {
        // -->>> FluteCylA66
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA66
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA66
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA67
      union {
        // -->>> FluteCylA67
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA67
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA67
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.280000, 0.000000, 0.000000>
      }
      // -->>> uFluteA68
      union {
        // -->>> FluteCylA68
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA68
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA68
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA69
      union {
        // -->>> FluteCylA69
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA69
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA69
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA70
      union {
        // -->>> FluteCylA70
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA70
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA70
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA71
      union {
        // -->>> FluteCylA71
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA71
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA71
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.280000, 0.000000, 0.000000>
      }
      scale <1.000000, 1.000000, 0.900000>
      rotate <0.000000, 0.000000, -90.000000>
      translate <-0.500000, 0.000000, 0.200000>
    }
    scale <1.000000, 1.000000, 0.580131>
  }
  texture {
    OffWhite1
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <-5.600000, 28.250000, 2.705518>
}
















difference {
  // -->>> uCab1Body
  union {
    // -->>> Cab1MainBdy
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <5.500000, 1.500000, 1.890000>
    }
    // -->>> Cab1Trim
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <5.600000, 1.600000, 0.200000>
      translate <0.000000, 0.000000, -1.690000>
    }
  }
  // -->>> dCab1CutBlk2
  difference {
    // -->>> Cab1CtBlk2
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.365800, 0.731600, 0.250000>
      translate <0.000000, 0.000000, -0.020000>
    }
    // -->>> Cab1MtrA1
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.250000, 0.800000, 0.050000>
      rotate <0.000000, -30.000000, 0.000000>
      translate <-0.350000, 0.000000, 0.240000>
    }
    // -->>> Cab1MtrB1
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.250000, 0.800000, 0.050000>
      rotate <0.000000, 30.000000, 0.000000>
      translate <0.350000, 0.000000, 0.240000>
    }
    // -->>> Cab1MtrC1
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.400000, 0.250000, 0.050000>
      rotate <-30.000000, 0.000000, 0.000000>
      translate <0.000000, 0.710000, 0.250000>
    }
    // -->>> Cab1MtrD1
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.400000, 0.250000, 0.050000>
      rotate <30.000000, 0.000000, 0.000000>
      translate <0.000000, -0.710000, 0.250000>
    }
    scale <1.300000, 1.300000, 1.000000>
    rotate <-90.000000, 0.000000, 0.000000>
    translate <4.700000, -1.674560, 0.000000>
  }
  // -->>> dCab1CutBlk3
  difference {
    // -->>> Cab1CtBlk3
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.365800, 0.731600, 0.250000>
      translate <0.000000, 0.000000, -0.020000>
    }
    // -->>> Cab1MtrA2
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.250000, 0.800000, 0.050000>
      rotate <0.000000, -30.000000, 0.000000>
      translate <-0.350000, 0.000000, 0.240000>
    }
    // -->>> Cab1MtrB2
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.250000, 0.800000, 0.050000>
      rotate <0.000000, 30.000000, 0.000000>
      translate <0.350000, 0.000000, 0.240000>
    }
    // -->>> Cab1MtrC2
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.400000, 0.250000, 0.050000>
      rotate <-30.000000, 0.000000, 0.000000>
      translate <0.000000, 0.710000, 0.250000>
    }
    // -->>> Cab1MtrD2
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.400000, 0.250000, 0.050000>
      rotate <30.000000, 0.000000, 0.000000>
      translate <0.000000, -0.710000, 0.250000>
    }
    scale <1.300000, 1.300000, 1.000000>
    rotate <-90.000000, 0.000000, 0.000000>
    translate <-4.700000, -1.674560, 0.000000>
  }
  texture {
    OffWhite1
  }
  scale <1.150000, 1.000000, 1.000000>
  translate <0.000000, 28.750000, -2.209993>
}



























































































































































































union {
  // -->>> uColTop5
  union {
    // -->>> Trima5
    union {
      // -->>> TrimA61
      difference {
        // -->>> ColTrmA61
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL61
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR61
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA62
      difference {
        // -->>> ColTrmA62
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL62
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR62
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA63
      difference {
        // -->>> ColTrmA63
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL63
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR63
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA64
      difference {
        // -->>> ColTrmA64
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL64
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR64
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, 4.050000>
    }
    // -->>> ColDiff5
    difference {
      // -->>> ColunPrime10
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.625000, 0.625000, 1.025000>
        translate <0.000000, 0.000000, 5.075000>
      }
      // -->>> PatCut9
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 0.100000, 0.240000>
        rotate <0.000000, 0.000000, -90.000000>
        translate <-0.650000, 0.000000, 4.600000>
      }
    }
    // -->>> TrimE5
    union {
      // -->>> ScotiaMain20
      difference {
        // -->>> ScotaBody20
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut20
        difference {
          // -->>> ScBigTube20
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut20
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut20
        difference {
          // -->>> ScSmlTube20
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut20
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm21
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft21
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt21
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        translate <0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain21
      difference {
        // -->>> ScotaBody21
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut21
        difference {
          // -->>> ScBigTube21
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut21
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut21
        difference {
          // -->>> ScSmlTube21
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut21
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm22
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft22
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt22
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -90.000000>
        translate <0.000000, -0.450000, 0.000000>
      }
      // -->>> ScotiaMain22
      difference {
        // -->>> ScotaBody22
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut22
        difference {
          // -->>> ScBigTube22
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut22
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut22
        difference {
          // -->>> ScSmlTube22
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut22
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm23
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft23
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt23
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -180.000000>
        translate <-0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain23
      difference {
        // -->>> ScotaBody23
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut23
        difference {
          // -->>> ScBigTube23
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut23
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut23
        difference {
          // -->>> ScSmlTube23
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut23
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm24
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft24
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt24
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -270.000000>
        translate <0.000000, 0.450000, 0.000000>
      }
      scale <1.500000, 1.500000, 1.000000>
      translate <0.000000, 0.000000, 5.100000>
    }
    // -->>> uTopCap5
    union {
      // -->>> TopCap5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.923600, 0.923600, 0.050000>
        translate <0.000000, 0.000000, 6.050000>
      }
      // -->>> TrimB5
      difference {
        // -->>> ColTrimB5
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.924000, 0.924000, 0.100000>
          translate <0.000000, 0.000000, 0.025000>
        }
        // -->>> MtrB21
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, -0.984000, -0.168322>
        }
        // -->>> MtrB22
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <0.984000, 0.000000, -0.168322>
        }
        // -->>> MtrB23
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, 0.000000>
          translate <0.000000, 0.984000, -0.168322>
        }
        // -->>> MtrB24
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <1.000000, 0.250000, 0.250000>
          rotate <-45.000000, 0.000000, -90.000000>
          translate <-0.984000, 0.000000, -0.168322>
        }
        translate <0.000000, 0.000000, 5.875000>
      }
      // -->>> TrimC5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.723770, 0.723770, 0.075000>
        translate <0.000000, 0.000000, 5.725000>
      }
      // -->>> TrimD5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.620000, 0.620000, 0.100000>
        translate <0.000000, 0.000000, 5.550000>
      }
      scale <1.250000, 1.250000, 1.000000>
    }
    // -->>> iStar6
    intersection {
      // -->>> uStar6
      union {
        // -->>> PatA109
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          translate <0.000000, 0.800000, 0.000000>
        }
        // -->>> PatA110
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -20.000000>
          translate <0.273616, 0.751754, 0.000000>
        }
        // -->>> PatA111
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -40.000000>
          translate <0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA112
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -60.000000>
          translate <0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA113
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -80.000000>
          translate <0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA114
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -100.000000>
          translate <0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA115
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -120.000000>
          translate <0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA116
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -140.000000>
          translate <0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA117
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -160.000000>
          translate <0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA118
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -180.000000>
          translate <0.000000, -0.800000, 0.000000>
        }
        // -->>> PatA119
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -200.000000>
          translate <-0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA120
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -220.000000>
          translate <-0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA121
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -240.000000>
          translate <-0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA122
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -260.000000>
          translate <-0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA123
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -280.000000>
          translate <-0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA124
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -300.000000>
          translate <-0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA125
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -320.000000>
          translate <-0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA126
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -340.000000>
          translate <-0.273616, 0.751754, 0.000000>
        }
        // -->>> PatCntr6
        object { 
          sphere {<0,0,0>,1}
          scale <0.300000, 0.180000, 0.150000>
        }
        scale <1.000000, 1.000000, 2.000000>
      }
      // -->>> StarLimit6
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.500000, 1.250000, 0.350000>
      }
      scale <0.200000, 0.200000, 0.200000>
      rotate <-90.000000, 0.000000, -90.000000>
      translate <-0.570000, 0.000000, 4.600000>
    }
    scale <0.800000, 0.800000, 1.000000>
    translate <0.000000, 0.000000, -0.308200>
  }
  // -->>> ColBase5
  union {
    // -->>> TrimW5
    union {
      // -->>> TrimA65
      difference {
        // -->>> ColTrmA65
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL65
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR65
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA66
      difference {
        // -->>> ColTrmA66
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL66
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR66
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA67
      difference {
        // -->>> ColTrmA67
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL67
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR67
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA68
      difference {
        // -->>> ColTrmA68
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL68
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR68
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      scale <0.800000, 0.800000, 1.000000>
      translate <0.000000, 0.000000, -5.520000>
    }
    // -->>> TrimX29
    union {
      // -->>> TrimXX21
      difference {
        // -->>> TrimX25
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR21
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL21
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
      }
      // -->>> TrimXX22
      difference {
        // -->>> TrimX26
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR22
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL22
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimXX23
      difference {
        // -->>> TrimX27
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR23
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL23
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimXX24
      difference {
        // -->>> TrimX28
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR24
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL24
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
    }
    // -->>> TrimY5
    union {
      // -->>> TrimA69
      difference {
        // -->>> ColTrmA69
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL69
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR69
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA70
      difference {
        // -->>> ColTrmA70
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL70
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR70
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA71
      difference {
        // -->>> ColTrmA71
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL71
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR71
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA72
      difference {
        // -->>> ColTrmA72
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL72
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR72
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, -5.830000>
    }
    // -->>> Trimz5
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.625000, 0.625000, 0.110000>
      translate <0.000000, 0.000000, -5.990000>
    }
    translate <0.000000, 0.000000, 3.071800>
  }
  // -->>> dColPrime5
  difference {
    // -->>> ColunPrime11
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.500000, 0.500000, 5.335000>
      translate <0.000000, 0.000000, 1.115000>
    }
    // -->>> uFlutesA9
    union {
      // -->>> uFluteA72
      union {
        // -->>> FluteCylA72
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA72
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA72
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA73
      union {
        // -->>> FluteCylA73
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA73
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA73
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA74
      union {
        // -->>> FluteCylA74
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA74
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA74
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA75
      union {
        // -->>> FluteCylA75
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA75
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA75
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.280000, 0.000000, 0.000000>
      }
      // -->>> uFluteA76
      union {
        // -->>> FluteCylA76
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA76
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA76
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA77
      union {
        // -->>> FluteCylA77
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA77
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA77
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA78
      union {
        // -->>> FluteCylA78
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA78
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA78
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA79
      union {
        // -->>> FluteCylA79
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA79
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA79
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.280000, 0.000000, 0.000000>
      }
      scale <1.000000, 1.000000, 0.900000>
      rotate <0.000000, 0.000000, -90.000000>
      translate <-0.500000, 0.000000, 0.200000>
    }
    scale <1.000000, 1.000000, 0.580131>
  }
  texture {
    OffWhite1
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <5.600000, 28.250000, 2.705518>
}











intersection {
  // -->>> LmtBlkMld1x4
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.750000, 1.000000, 1.000000>
    translate <0.750000, 0.000000, -1.000000>
  }
  // -->>> dMld5
  difference {
    // -->>> uMld1x4
    union {
      // -->>> BaseBlock4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 1.000000, 0.700000>
        translate <0.300000, 0.000000, -0.700000>
      }
      // -->>> SecondBlock4
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.250000, 1.000000, 0.450000>
        translate <0.850000, 0.000000, -0.450000>
      }
      // -->>> Mld1SmlRnd9
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.000000, -1.000000, -1.700000>
      }
      // -->>> Mld1SmlRnd10
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.300000, -1.000000, -1.400000>
      }
      // -->>> Mld1LrgRnd9
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.300000, -1.000000, 0.000000>
      }
      // -->>> Mld1LrgRnd10
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.100000, -1.000000, -0.200000>
      }
    }
    // -->>> CnCaveMld1x4
    cylinder {
      <0,0,1>, <0,0,0>, 1
      scale <0.500000, 0.500000, 2.100000>
      rotate <-90.000000, 0.000000, 0.000000>
      translate <1.100000, -1.050000, -0.900000>
    }
  }
  texture {
    OffWhite2
  }
  scale <0.400000, 2.000000, 0.400000>
  rotate <0.000000, 0.000000, -90.000000>
  translate <-8.000000, 28.500000, 8.500000>
}











intersection {
  // -->>> LmtBlkMld1x5
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.750000, 1.000000, 1.000000>
    translate <0.750000, 0.000000, -1.000000>
  }
  // -->>> dMld6
  difference {
    // -->>> uMld1x5
    union {
      // -->>> BaseBlock5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 1.000000, 0.700000>
        translate <0.300000, 0.000000, -0.700000>
      }
      // -->>> SecondBlock5
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.250000, 1.000000, 0.450000>
        translate <0.850000, 0.000000, -0.450000>
      }
      // -->>> Mld1SmlRnd11
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.000000, -1.000000, -1.700000>
      }
      // -->>> Mld1SmlRnd12
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.300000, 0.300000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <0.300000, -1.000000, -1.400000>
      }
      // -->>> Mld1LrgRnd11
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.300000, -1.000000, 0.000000>
      }
      // -->>> Mld1LrgRnd12
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <0.200000, 0.200000, 2.000000>
        rotate <-90.000000, 0.000000, 0.000000>
        translate <1.100000, -1.000000, -0.200000>
      }
    }
    // -->>> CnCaveMld1x5
    cylinder {
      <0,0,1>, <0,0,0>, 1
      scale <0.500000, 0.500000, 2.100000>
      rotate <-90.000000, 0.000000, 0.000000>
      translate <1.100000, -1.050000, -0.900000>
    }
  }
  texture {
    OffWhite2
  }
  scale <0.400000, 2.000000, 0.400000>
  rotate <0.000000, 0.000000, -90.000000>
  translate <8.000000, 28.500000, 8.500000>
}









difference {
  // -->>> MRArchSlab
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <11.000000, 0.400000, 5.000000>
    translate <0.000000, 18.000000, 13.569729>
  }
  // -->>> ArchCutOut1
  union {
    // -->>> ArchWedge1
    difference {
      // -->>> CylBigArch1
      cylinder {
        <0,0,1>, <0,0,0>, 1
        scale <14.533000, 14.533000, 20.000000>
        rotate <-90.000000, 0.000000, 0.000000>
      }
      // -->>> LftWedgeLmt1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <10.000000, 10.000000, 25.000000>
        rotate <0.000000, -34.041000, 0.000000>
        translate <-12.068007, 10.000000, 0.000000>
      }
      // -->>> RgtWedgeLmt1
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <10.000000, 10.000000, 25.000000>
        rotate <0.000000, 34.041000, 0.000000>
        translate <12.068007, 10.000000, 0.000000>
      }
    }
    // -->>> LftSubArch1
    cylinder {
      <0,0,1>, <0,0,0>, 1
      scale <4.235000, 4.235000, 20.000000>
      rotate <-90.000000, 0.000000, 0.000000>
      translate <-5.765000, 0.000000, 8.533000>
    }
    // -->>> RgtSubArch1
    cylinder {
      <0,0,1>, <0,0,0>, 1
      scale <4.235000, 4.235000, 20.000000>
      rotate <-90.000000, 0.000000, 0.000000>
      translate <5.765000, 0.000000, 8.533000>
    }
    scale <0.960000, 0.200000, 0.864000>
    translate <-0.018248, 15.907418, 0.853634>
  }
  texture {
    OffWhite1
  }
}































































































































































































union {
  // -->>> uColTop6
  union {
    // -->>> Trima6
    union {
      // -->>> TrimA73
      difference {
        // -->>> ColTrmA73
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL73
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR73
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA74
      difference {
        // -->>> ColTrmA74
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL74
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR74
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA75
      difference {
        // -->>> ColTrmA75
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL75
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR75
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA76
      difference {
        // -->>> ColTrmA76
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL76
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR76
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, 4.050000>
    }
    // -->>> ColDiff6
    difference {
      // -->>> ColunPrime12
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.625000, 0.625000, 0.768750>
        translate <0.000000, 0.000000, 4.818790>
      }
      // -->>> PatCut10
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 0.100000, 0.240000>
        rotate <0.000000, 0.000000, -90.000000>
        translate <-0.650000, 0.000000, 4.600000>
      }
    }
    // -->>> TrimE6
    union {
      // -->>> ScotiaMain24
      difference {
        // -->>> ScotaBody24
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut24
        difference {
          // -->>> ScBigTube24
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut24
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut24
        difference {
          // -->>> ScSmlTube24
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut24
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm25
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft25
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt25
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        translate <0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain25
      difference {
        // -->>> ScotaBody25
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut25
        difference {
          // -->>> ScBigTube25
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut25
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut25
        difference {
          // -->>> ScSmlTube25
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut25
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm26
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft26
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt26
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -90.000000>
        translate <0.000000, -0.450000, 0.000000>
      }
      // -->>> ScotiaMain26
      difference {
        // -->>> ScotaBody26
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut26
        difference {
          // -->>> ScBigTube26
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut26
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut26
        difference {
          // -->>> ScSmlTube26
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut26
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm27
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft27
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt27
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -180.000000>
        translate <-0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain27
      difference {
        // -->>> ScotaBody27
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut27
        difference {
          // -->>> ScBigTube27
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut27
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut27
        difference {
          // -->>> ScSmlTube27
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut27
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm28
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft28
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt28
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -270.000000>
        translate <0.000000, 0.450000, 0.000000>
      }
      scale <1.500000, 1.500000, 1.000000>
      translate <0.000000, 0.000000, 5.100000>
    }
    // -->>> iStar8
    intersection {
      // -->>> uStar8
      union {
        // -->>> PatA145
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          translate <0.000000, 0.800000, 0.000000>
        }
        // -->>> PatA146
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -20.000000>
          translate <0.273616, 0.751754, 0.000000>
        }
        // -->>> PatA147
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -40.000000>
          translate <0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA148
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -60.000000>
          translate <0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA149
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -80.000000>
          translate <0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA150
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -100.000000>
          translate <0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA151
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -120.000000>
          translate <0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA152
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -140.000000>
          translate <0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA153
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -160.000000>
          translate <0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA154
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -180.000000>
          translate <0.000000, -0.800000, 0.000000>
        }
        // -->>> PatA155
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -200.000000>
          translate <-0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA156
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -220.000000>
          translate <-0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA157
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -240.000000>
          translate <-0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA158
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -260.000000>
          translate <-0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA159
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -280.000000>
          translate <-0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA160
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -300.000000>
          translate <-0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA161
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -320.000000>
          translate <-0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA162
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -340.000000>
          translate <-0.273616, 0.751754, 0.000000>
        }
        // -->>> PatCntr8
        object { 
          sphere {<0,0,0>,1}
          scale <0.300000, 0.180000, 0.150000>
        }
        scale <1.000000, 1.000000, 2.000000>
      }
      // -->>> StarLimit8
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.500000, 1.250000, 0.350000>
      }
      scale <0.200000, 0.200000, 0.200000>
      rotate <-90.000000, 0.000000, -90.000000>
      translate <-0.570000, 0.000000, 4.600000>
    }
    // -->>> TrimB6
    difference {
      // -->>> ColTrimB6
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.924000, 0.924000, 0.100000>
        translate <0.000000, 0.000000, 0.025000>
      }
      // -->>> MtrB25
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, 0.000000>
        translate <0.000000, -0.984000, -0.168322>
      }
      // -->>> MtrB26
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, -90.000000>
        translate <0.984000, 0.000000, -0.168322>
      }
      // -->>> MtrB27
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, 0.000000>
        translate <0.000000, 0.984000, -0.168322>
      }
      // -->>> MtrB28
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, -90.000000>
        translate <-0.984000, 0.000000, -0.168322>
      }
      rotate <-180.000000, 0.000000, 0.000000>
      translate <0.000000, 0.000000, 5.574998>
    }
    // -->>> TrimB7
    difference {
      // -->>> ColTrimB7
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.924000, 0.924000, 0.100000>
        translate <0.000000, 0.000000, 0.025000>
      }
      // -->>> MtrB29
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, 0.000000>
        translate <0.000000, -0.984000, -0.168322>
      }
      // -->>> MtrB30
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, -90.000000>
        translate <0.984000, 0.000000, -0.168322>
      }
      // -->>> MtrB31
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, 0.000000>
        translate <0.000000, 0.984000, -0.168322>
      }
      // -->>> MtrB32
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, -90.000000>
        translate <-0.984000, 0.000000, -0.168322>
      }
      scale <0.750000, 0.750000, 0.666667>
      rotate <-180.000000, 0.000000, 0.000000>
      translate <0.000000, 0.000000, 5.933000>
    }
    // -->>> ColTrimB8
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.720000, 0.720000, 0.100000>
      translate <0.000000, 0.000000, 5.749481>
    }
    // -->>> ColTrimB9
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.540000, 0.540000, 0.070000>
      translate <0.000000, 0.000000, 6.029991>
    }
    scale <0.800000, 0.800000, 1.000000>
    translate <0.000000, 0.000000, -0.308200>
  }
  // -->>> ColBase6
  union {
    // -->>> TrimW6
    union {
      // -->>> TrimA77
      difference {
        // -->>> ColTrmA77
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL77
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR77
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA78
      difference {
        // -->>> ColTrmA78
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL78
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR78
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA79
      difference {
        // -->>> ColTrmA79
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL79
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR79
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA80
      difference {
        // -->>> ColTrmA80
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL80
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR80
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      scale <0.800000, 0.800000, 1.000000>
      translate <0.000000, 0.000000, -5.520000>
    }
    // -->>> TrimX34
    union {
      // -->>> TrimXX25
      difference {
        // -->>> TrimX30
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR25
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL25
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
      }
      // -->>> TrimXX26
      difference {
        // -->>> TrimX31
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR26
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL26
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimXX27
      difference {
        // -->>> TrimX32
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR27
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL27
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimXX28
      difference {
        // -->>> TrimX33
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR28
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL28
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
    }
    // -->>> TrimY6
    union {
      // -->>> TrimA81
      difference {
        // -->>> ColTrmA81
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL81
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR81
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA82
      difference {
        // -->>> ColTrmA82
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL82
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR82
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA83
      difference {
        // -->>> ColTrmA83
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL83
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR83
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA84
      difference {
        // -->>> ColTrmA84
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL84
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR84
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, -5.830000>
    }
    // -->>> Trimz6
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.625000, 0.625000, 0.110000>
      translate <0.000000, 0.000000, -5.990000>
    }
    translate <0.000000, 0.000000, 3.071800>
  }
  // -->>> dColPrime6
  difference {
    // -->>> ColunPrime13
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.500000, 0.500000, 5.335000>
      translate <0.000000, 0.000000, 1.115000>
    }
    // -->>> uFlutesA10
    union {
      // -->>> uFluteA80
      union {
        // -->>> FluteCylA80
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA80
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA80
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA81
      union {
        // -->>> FluteCylA81
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA81
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA81
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA82
      union {
        // -->>> FluteCylA82
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA82
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA82
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA83
      union {
        // -->>> FluteCylA83
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA83
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA83
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.280000, 0.000000, 0.000000>
      }
      // -->>> uFluteA84
      union {
        // -->>> FluteCylA84
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA84
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA84
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA85
      union {
        // -->>> FluteCylA85
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA85
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA85
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA86
      union {
        // -->>> FluteCylA86
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA86
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA86
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA87
      union {
        // -->>> FluteCylA87
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA87
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA87
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.280000, 0.000000, 0.000000>
      }
      scale <1.000000, 1.000000, 0.900000>
      rotate <0.000000, 0.000000, -90.000000>
      translate <-0.500000, 0.000000, 0.200000>
    }
    scale <1.000000, 1.000000, 0.580131>
  }
  texture {
    OffWhite1
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <-4.600000, 28.750000, 2.706000>
}































































































































































































union {
  // -->>> uColTop7
  union {
    // -->>> Trima7
    union {
      // -->>> TrimA85
      difference {
        // -->>> ColTrmA85
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL85
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR85
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA86
      difference {
        // -->>> ColTrmA86
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL86
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR86
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA87
      difference {
        // -->>> ColTrmA87
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL87
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR87
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA88
      difference {
        // -->>> ColTrmA88
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL88
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR88
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, 4.050000>
    }
    // -->>> ColDiff7
    difference {
      // -->>> ColunPrime14
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.625000, 0.625000, 0.768750>
        translate <0.000000, 0.000000, 4.818790>
      }
      // -->>> PatCut11
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.300000, 0.100000, 0.240000>
        rotate <0.000000, 0.000000, -90.000000>
        translate <-0.650000, 0.000000, 4.600000>
      }
    }
    // -->>> TrimE7
    union {
      // -->>> ScotiaMain28
      difference {
        // -->>> ScotaBody28
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut28
        difference {
          // -->>> ScBigTube28
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut28
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut28
        difference {
          // -->>> ScSmlTube28
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut28
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm29
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft29
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt29
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        translate <0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain29
      difference {
        // -->>> ScotaBody29
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut29
        difference {
          // -->>> ScBigTube29
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut29
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut29
        difference {
          // -->>> ScSmlTube29
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut29
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm30
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft30
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt30
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -90.000000>
        translate <0.000000, -0.450000, 0.000000>
      }
      // -->>> ScotiaMain30
      difference {
        // -->>> ScotaBody30
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut30
        difference {
          // -->>> ScBigTube30
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut30
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut30
        difference {
          // -->>> ScSmlTube30
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut30
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm31
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft31
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt31
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -180.000000>
        translate <-0.450000, 0.000000, 0.000000>
      }
      // -->>> ScotiaMain31
      difference {
        // -->>> ScotaBody31
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.150000, 0.600000, 0.175000>
          translate <0.000000, 0.000000, 0.175000>
        }
        // -->>> ScBigCut31
        difference {
          // -->>> ScBigTube31
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.175000, 0.175000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.150000, -0.700000, 0.125000>
          }
          // -->>> ScBigTcut31
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.200000, 0.700000, 0.100000>
            translate <0.150000, 0.000000, 0.024990>
          }
        }
        // -->>> ScSmlCut31
        difference {
          // -->>> ScSmlTube31
          cylinder {
            <0,0,1>, <0,0,0>, 1
            scale <0.075000, 0.075000, 1.400000>
            rotate <-90.000000, 0.000000, 0.000000>
            translate <0.050000, -0.700000, 0.125000>
          }
          // -->>> ScSmlTcut31
          box {
            <-1, -1, -1>, <1, 1, 1>
            scale <0.100000, 0.700000, 0.050000>
            translate <0.050000, 0.000000, 0.175010>
          }
        }
        // -->>> ScotTrm32
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.080000, 0.700000, 0.070000>
          translate <0.130000, 0.000000, 0.065000>
        }
        // -->>> ScotMitLft32
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.024935, -0.594771, 0.175000>
        }
        // -->>> ScotMitRgt32
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.350000, 0.120000, 0.200000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <-0.017848, 0.601857, 0.175000>
        }
        rotate <0.000000, 0.000000, -270.000000>
        translate <0.000000, 0.450000, 0.000000>
      }
      scale <1.500000, 1.500000, 1.000000>
      translate <0.000000, 0.000000, 5.100000>
    }
    // -->>> iStar9
    intersection {
      // -->>> uStar9
      union {
        // -->>> PatA163
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          translate <0.000000, 0.800000, 0.000000>
        }
        // -->>> PatA164
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -20.000000>
          translate <0.273616, 0.751754, 0.000000>
        }
        // -->>> PatA165
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -40.000000>
          translate <0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA166
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -60.000000>
          translate <0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA167
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -80.000000>
          translate <0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA168
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -100.000000>
          translate <0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA169
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -120.000000>
          translate <0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA170
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -140.000000>
          translate <0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA171
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -160.000000>
          translate <0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA172
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -180.000000>
          translate <0.000000, -0.800000, 0.000000>
        }
        // -->>> PatA173
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -200.000000>
          translate <-0.273616, -0.751754, 0.000000>
        }
        // -->>> PatA174
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -220.000000>
          translate <-0.514230, -0.612836, 0.000000>
        }
        // -->>> PatA175
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -240.000000>
          translate <-0.692820, -0.400000, 0.000000>
        }
        // -->>> PatA176
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -260.000000>
          translate <-0.787846, -0.138919, 0.000000>
        }
        // -->>> PatA177
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -280.000000>
          translate <-0.787846, 0.138919, 0.000000>
        }
        // -->>> PatA178
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -300.000000>
          translate <-0.692820, 0.400000, 0.000000>
        }
        // -->>> PatA179
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -320.000000>
          translate <-0.514230, 0.612836, 0.000000>
        }
        // -->>> PatA180
        object { 
          sphere {<0,0,0>,1}
          scale <0.050000, 0.800000, 0.050000>
          rotate <0.000000, 0.000000, -340.000000>
          translate <-0.273616, 0.751754, 0.000000>
        }
        // -->>> PatCntr9
        object { 
          sphere {<0,0,0>,1}
          scale <0.300000, 0.180000, 0.150000>
        }
        scale <1.000000, 1.000000, 2.000000>
      }
      // -->>> StarLimit9
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.500000, 1.250000, 0.350000>
      }
      scale <0.200000, 0.200000, 0.200000>
      rotate <-90.000000, 0.000000, -90.000000>
      translate <-0.570000, 0.000000, 4.600000>
    }
    // -->>> TrimB8
    difference {
      // -->>> ColTrimB10
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.924000, 0.924000, 0.100000>
        translate <0.000000, 0.000000, 0.025000>
      }
      // -->>> MtrB33
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, 0.000000>
        translate <0.000000, -0.984000, -0.168322>
      }
      // -->>> MtrB34
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, -90.000000>
        translate <0.984000, 0.000000, -0.168322>
      }
      // -->>> MtrB35
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, 0.000000>
        translate <0.000000, 0.984000, -0.168322>
      }
      // -->>> MtrB36
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, -90.000000>
        translate <-0.984000, 0.000000, -0.168322>
      }
      rotate <-180.000000, 0.000000, 0.000000>
      translate <0.000000, 0.000000, 5.574998>
    }
    // -->>> TrimB9
    difference {
      // -->>> ColTrimB11
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.924000, 0.924000, 0.100000>
        translate <0.000000, 0.000000, 0.025000>
      }
      // -->>> MtrB37
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, 0.000000>
        translate <0.000000, -0.984000, -0.168322>
      }
      // -->>> MtrB38
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, -90.000000>
        translate <0.984000, 0.000000, -0.168322>
      }
      // -->>> MtrB39
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, 0.000000>
        translate <0.000000, 0.984000, -0.168322>
      }
      // -->>> MtrB40
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <1.000000, 0.250000, 0.250000>
        rotate <-45.000000, 0.000000, -90.000000>
        translate <-0.984000, 0.000000, -0.168322>
      }
      scale <0.750000, 0.750000, 0.666667>
      rotate <-180.000000, 0.000000, 0.000000>
      translate <0.000000, 0.000000, 5.933000>
    }
    // -->>> ColTrimB12
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.720000, 0.720000, 0.100000>
      translate <0.000000, 0.000000, 5.749481>
    }
    // -->>> ColTrimB13
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.540000, 0.540000, 0.070000>
      translate <0.000000, 0.000000, 6.029991>
    }
    scale <0.800000, 0.800000, 1.000000>
    translate <0.000000, 0.000000, -0.308200>
  }
  // -->>> ColBase7
  union {
    // -->>> TrimW7
    union {
      // -->>> TrimA89
      difference {
        // -->>> ColTrmA89
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL89
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR89
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA90
      difference {
        // -->>> ColTrmA90
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL90
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR90
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA91
      difference {
        // -->>> ColTrmA91
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL91
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR91
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA92
      difference {
        // -->>> ColTrmA92
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL92
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR92
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      scale <0.800000, 0.800000, 1.000000>
      translate <0.000000, 0.000000, -5.520000>
    }
    // -->>> TrimX39
    union {
      // -->>> TrimXX29
      difference {
        // -->>> TrimX35
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR29
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL29
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
      }
      // -->>> TrimXX30
      difference {
        // -->>> TrimX36
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR30
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL30
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimXX31
      difference {
        // -->>> TrimX37
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR31
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL31
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimXX32
      difference {
        // -->>> TrimX38
        object {
          union {
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98100, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <0.98100, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.04400, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.04400, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.08900, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.08900, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.11600, 0.00000, 1.00000> <0.00000, 1.00000, 0.00000>
              <1.11600, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.00000, 1.00000, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.12500, 0.00000, 1.00000> <0.17365, -0.98481, 0.00000>
              <1.12500, 0.00000, 0.00000> <0.17365, -0.98481, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.09391, 0.00580, 1.00000> <-0.50604, -0.86251, 0.00000>
              <1.09391, 0.00580, 0.00000> <-0.50604, -0.86251, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.06586, 0.03470, 1.00000> <-0.83625, -0.54834, 0.00000>
              <1.06586, 0.03470, 0.00000> <-0.83625, -0.54834, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.04086, 0.08670, 1.00000> <-0.93804, -0.34653, 0.00000>
              <1.04086, 0.08670, 0.00000> <-0.93804, -0.34653, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 1.00000> <-0.98769, -0.15643, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.01891, 0.16180, 1.00000> <-0.97331, -0.22948, 0.00000>
              <1.01891, 0.16180, 0.00000> <-0.97331, -0.22948, 0.00000>
              <1.00000, 0.26000, 0.00000> <-0.98769, -0.15643, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <1.00000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <1.00000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.99600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.99600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.98400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.98400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.96400, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.96400, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.93600, 0.26000, 1.00000> <0.00000, -1.00000, 0.00000>
              <0.93600, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <0.00000, -1.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.26000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.26000, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.20800, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.20800, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.15600, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.15600, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.10400, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.10400, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
            smooth_triangle {
              <0.90000, 0.05200, 1.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.05200, 0.00000> <1.00000, 0.00000, 0.00000>
              <0.90000, 0.00000, 0.00000> <1.00000, 0.00000, 0.00000>
            }
              // 18 Top and base plane triangles
        
            triangle { <   1.11600,    0.00000,    1.00000> <   1.12500,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.11600,    0.00000,    0.00000> <   1.12500,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.08900,    0.00000,    1.00000> <   1.11600,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.08900,    0.00000,    0.00000> <   1.11600,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   1.04400,    0.00000,    1.00000> <   1.08900,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   1.04400,    0.00000,    0.00000> <   1.08900,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.98100,    0.00000,    1.00000> <   1.04400,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.98100,    0.00000,    0.00000> <   1.04400,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98100,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98100,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.09391,    0.00580,    1.00000> <   1.06586,    0.03470,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.09391,    0.00580,    0.00000> <   1.06586,    0.03470,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.06586,    0.03470,    1.00000> <   1.04086,    0.08670,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.06586,    0.03470,    0.00000> <   1.04086,    0.08670,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.04086,    0.08670,    1.00000> <   1.01891,    0.16180,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.04086,    0.08670,    0.00000> <   1.01891,    0.16180,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.01891,    0.16180,    1.00000> <   1.00000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.01891,    0.16180,    0.00000> <   1.00000,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   1.00000,    0.26000,    1.00000> <   0.99600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   1.00000,    0.26000,    0.00000> <   0.99600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.99600,    0.26000,    1.00000> <   0.98400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.99600,    0.26000,    0.00000> <   0.98400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.98400,    0.26000,    1.00000> <   0.96400,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.98400,    0.26000,    0.00000> <   0.96400,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.96400,    0.26000,    1.00000> <   0.93600,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.96400,    0.26000,    0.00000> <   0.93600,    0.26000,    0.00000> }
            triangle { <   0.90000,    0.00000,    1.00000> <   0.93600,    0.26000,    1.00000> <   0.90000,    0.26000,    1.00000> }
            triangle { <   0.90000,    0.00000,    0.00000> <   0.93600,    0.26000,    0.00000> <   0.90000,    0.26000,    0.00000> }
          }
          scale <1.000000, 1.000000, 1.250000>
          rotate <90.000000, 0.000000, 0.000000>
          translate <-0.500000, 0.625000, -5.780000>
        }
        // -->>> MitXR32
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <0.438339, 0.579771, -5.650000>
        }
        // -->>> MitXL32
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.150000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.486785, -0.628196, -5.650000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
    }
    // -->>> TrimY7
    union {
      // -->>> TrimA93
      difference {
        // -->>> ColTrmA93
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL93
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR93
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
      }
      // -->>> TrimA94
      difference {
        // -->>> ColTrmA94
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL94
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR94
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -90.000000>
      }
      // -->>> TrimA95
      difference {
        // -->>> ColTrmA95
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL95
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR95
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -180.000000>
      }
      // -->>> TrimA96
      difference {
        // -->>> ColTrmA96
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.050000, 0.050000, 1.600000>
          rotate <0.000000, -90.000000, 0.000000>
          translate <0.800000, -0.625000, 0.000000>
        }
        // -->>> MitAL96
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, -45.000000>
          translate <-0.681448, -0.540026, 0.000000>
        }
        // -->>> MitAR96
        box {
          <-1, -1, -1>, <1, 1, 1>
          scale <0.100000, 0.200000, 0.060000>
          rotate <0.000000, 0.000000, 45.000000>
          translate <0.681448, -0.540000, 0.000000>
        }
        rotate <0.000000, 0.000000, -270.000000>
      }
      translate <0.000000, 0.000000, -5.830000>
    }
    // -->>> Trimz7
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.625000, 0.625000, 0.110000>
      translate <0.000000, 0.000000, -5.990000>
    }
    translate <0.000000, 0.000000, 3.071800>
  }
  // -->>> dColPrime7
  difference {
    // -->>> ColunPrime15
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <0.500000, 0.500000, 5.335000>
      translate <0.000000, 0.000000, 1.115000>
    }
    // -->>> uFlutesA11
    union {
      // -->>> uFluteA88
      union {
        // -->>> FluteCylA88
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA88
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA88
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA89
      union {
        // -->>> FluteCylA89
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA89
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA89
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA90
      union {
        // -->>> FluteCylA90
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA90
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA90
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA91
      union {
        // -->>> FluteCylA91
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA91
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA91
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <0.280000, 0.000000, 0.000000>
      }
      // -->>> uFluteA92
      union {
        // -->>> FluteCylA92
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA92
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA92
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.040000, 0.000000, 0.000000>
      }
      // -->>> uFluteA93
      union {
        // -->>> FluteCylA93
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA93
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA93
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.120000, 0.000000, 0.000000>
      }
      // -->>> uFluteA94
      union {
        // -->>> FluteCylA94
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA94
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA94
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.200000, 0.000000, 0.000000>
      }
      // -->>> uFluteA95
      union {
        // -->>> FluteCylA95
        cylinder {
          <0,0,1>, <0,0,0>, 1
          scale <0.040000, 0.040000, 9.800000>
          translate <0.000000, 0.000000, -3.800000>
        }
        // -->>> FlutTcapA95
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, 6.000000>
        }
        // -->>> FlutBcapA95
        object { 
          sphere {<0,0,0>,1}
          scale <0.040000, 0.040000, 0.040000>
          translate <0.000000, 0.000000, -3.800000>
        }
        translate <-0.280000, 0.000000, 0.000000>
      }
      scale <1.000000, 1.000000, 0.900000>
      rotate <0.000000, 0.000000, -90.000000>
      translate <-0.500000, 0.000000, 0.200000>
    }
    scale <1.000000, 1.000000, 0.580131>
  }
  texture {
    OffWhite1
  }
  rotate <0.000000, 0.000000, 90.000000>
  translate <4.600000, 28.750000, 2.706000>
}








union {
  // -->>> TopRail1
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <1.400000, 0.050000, 0.030000>
    translate <0.000000, 18.000000, -1.980000>
  }
  // -->>> LftGatePst1
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025000, 0.100000, 1.250000>
    translate <-1.425000, 18.000000, -3.200000>
  }
  // -->>> LftGatePst2
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025000, 0.100000, 1.250000>
    translate <1.425000, 18.000000, -3.200000>
  }
  // -->>> BtmRail1
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <1.400000, 0.050000, 0.030000>
    translate <0.000000, 18.000000, -4.060000>
  }
  // -->>> LftGatePst3
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-0.643750, 18.000000, -3.029000>
  }
  // -->>> LftGatePst4
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <0.643750, 18.000000, -3.028522>
  }
  // -->>> HfLeftGate
  object { 
    height_field {
      gif "gate1_.gif" 
      water_level 0.156863
    }
    rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
    scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
    translate < -1,-1,-1> // Center around origin
    texture {
      NearBlack
    }
    scale <1.400000, 1.250000, 0.050000>
    rotate <90.000000, 0.000000, 0.000000>
    translate <0.000000, 17.999685, -2.780000>
  }
  texture {
    NearBlack
  }
  translate <-1.470000, 0.000000, 0.000000>
}













union {
  // -->>> FncTopRail1
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <3.339332, 0.050000, 0.030000>
    translate <-6.258577, 18.000000, -1.980000>
  }
  // -->>> FncBtmRail1
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <3.339000, 0.050000, 0.030000>
    translate <-6.259000, 18.000000, -4.060000>
  }
  // -->>> FncPst1
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-3.500000, 18.000000, -3.029000>
  }
  // -->>> FncPst2
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-4.100000, 18.000000, -3.029000>
  }
  // -->>> FncPst3
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-4.700000, 18.000000, -3.029000>
  }
  // -->>> FncPst4
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-5.300000, 18.000000, -3.029000>
  }
  // -->>> FncPst5
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-5.900000, 18.000000, -3.029000>
  }
  // -->>> FncPst6
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-6.500000, 18.000000, -3.029000>
  }
  // -->>> FncPst7
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-7.100000, 18.000000, -3.029000>
  }
  // -->>> FncPst8
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-7.700000, 18.000000, -3.029000>
  }
  // -->>> FncPst9
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-8.300000, 18.000000, -3.029000>
  }
  // -->>> FncPst10
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-8.900000, 18.000000, -3.029000>
  }
  texture {
    NearBlack
  }
}













union {
  // -->>> FncTopRail2
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <3.339332, 0.050000, 0.030000>
    translate <-6.258577, 18.000000, -1.980000>
  }
  // -->>> FncBtmRail2
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <3.339000, 0.050000, 0.030000>
    translate <-6.259000, 18.000000, -4.060000>
  }
  // -->>> FncPst11
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-3.500000, 18.000000, -3.029000>
  }
  // -->>> FncPst12
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-4.100000, 18.000000, -3.029000>
  }
  // -->>> FncPst13
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-4.700000, 18.000000, -3.029000>
  }
  // -->>> FncPst14
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-5.300000, 18.000000, -3.029000>
  }
  // -->>> FncPst15
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-5.900000, 18.000000, -3.029000>
  }
  // -->>> FncPst16
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-6.500000, 18.000000, -3.029000>
  }
  // -->>> FncPst17
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-7.100000, 18.000000, -3.029000>
  }
  // -->>> FncPst18
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-7.700000, 18.000000, -3.029000>
  }
  // -->>> FncPst19
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-8.300000, 18.000000, -3.029000>
  }
  // -->>> FncPst20
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <0.015000, 0.100000, 1.050000>
    translate <-8.900000, 18.000000, -3.029000>
  }
  texture {
    NearBlack
  }
  rotate <0.000000, 0.000000, -180.000000>
  translate <0.000000, 36.000000, 0.000000>
}








union {
  // -->>> Carpet1
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <2.600000, 8.633391, 0.020000>
    translate <0.000000, -10.000000, -6.000000>
  }
  // -->>> Carpet2
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <2.600000, 10.000000, 0.020000>
    translate <0.000000, 9.228496, -4.800000>
  }
  // -->>> Carpet3
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <2.600000, 0.500000, 0.020000>
    translate <0.000000, -1.137351, -5.400000>
  }
  // -->>> Carpet4
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <2.600000, 0.300000, 0.020000>
    rotate <-85.000000, 0.000000, 0.000000>
    translate <0.000000, -1.591644, -5.686772>
  }
  // -->>> Carpet5
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <2.600000, 0.300000, 0.020000>
    rotate <-85.000000, 0.000000, 0.000000>
    translate <0.000000, -0.725214, -5.086772>
  }
  // -->>> Carpet6
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <2.600000, 0.200000, 0.020000>
    rotate <-85.000000, 0.000000, 0.000000>
    translate <0.000000, 16.999393, -4.634193>
  }
  // -->>> Carpet7
  box {
    <-1, -1, -1>, <1, 1, 1>
    scale <2.600000, 3.000000, 0.020000>
    translate <0.000000, 19.961000, -4.450000>
  }
  texture {
    CarpetColor
  }
}
















































union {
  // -->>> dCPanel2
  difference {
    // -->>> uCPanel2
    union {
      // -->>> PanelBody2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <3.000000, 0.200000, 1.190000>
      }
      // -->>> PanelKickBrd2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <3.075000, 0.275000, 0.125000>
        translate <0.000000, 0.000000, -1.065000>
      }
      // -->>> CPTrmTop2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <3.000000, 0.020000, 0.150000>
        translate <0.000000, 0.220000, 1.040000>
      }
      // -->>> CPTrmEndA2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.100000, 0.020000, 1.024571>
        translate <-2.900000, 0.220000, -0.155616>
      }
      // -->>> CPTrmEndB2
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.100000, 0.020000, 1.024571>
        translate <2.900000, 0.220000, -0.155616>
      }
    }
    // -->>> dCPCut7
    difference {
      // -->>> CPCutBlk7
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA7
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB7
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC7
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD7
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <-2.500000, -0.314596, 0.165000>
    }
    // -->>> dCPCut8
    difference {
      // -->>> CPCutBlk8
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA8
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB8
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC8
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD8
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <-1.500000, -0.314596, 0.165000>
    }
    // -->>> dCPCut9
    difference {
      // -->>> CPCutBlk9
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA9
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB9
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC9
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD9
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <-0.500000, -0.314596, 0.165000>
    }
    // -->>> dCPCut10
    difference {
      // -->>> CPCutBlk10
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA10
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB10
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC10
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD10
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <0.500000, -0.314596, 0.165000>
    }
    // -->>> dCPCut11
    difference {
      // -->>> CPCutBlk11
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA11
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB11
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC11
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD11
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <1.500000, -0.314596, 0.165000>
    }
    // -->>> dCPCut12
    difference {
      // -->>> CPCutBlk12
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.340000, 0.775000, 0.200000>
      }
      // -->>> CPMtrA12
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, -30.000000, 0.000000>
        translate <-0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrB12
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 1.000000, 0.050000>
        rotate <0.000000, 30.000000, 0.000000>
        translate <0.300000, 0.000000, 0.195000>
      }
      // -->>> CPMtrC12
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, 30.000000, -90.000000>
        translate <0.000000, -0.733000, 0.195000>
      }
      // -->>> CPMtrD12
      box {
        <-1, -1, -1>, <1, 1, 1>
        scale <0.200000, 0.400000, 0.050000>
        rotate <0.000000, -30.000000, -90.000000>
        translate <0.000000, 0.733000, 0.195000>
      }
      rotate <-90.000000, 0.000000, 0.000000>
      translate <2.500000, -0.314596, 0.165000>
    }
    texture {
      CPanelColor
    }
  }
  // -->>> WoodRail2
  union {
    // -->>> WRElip2
    cylinder {
      <0,0,1>, <0,0,0>, 1
      scale <0.100000, 0.250000, 6.000000>
      rotate <0.000000, -90.000000, 0.000000>
      translate <3.000000, 0.000000, 1.250000>
    }
    // -->>> WRTop2
    box {
      <-1, -1, -1>, <1, 1, 1>
      scale <3.000000, 0.125000, 0.050000>
      translate <0.000000, 0.000000, 1.350000>
    }
    // -->>> WREnd2
    object { 
      sphere {<0,0,0>,1}
      scale <0.100000, 0.250000, 0.100000>
      translate <-3.000000, 0.000000, 1.250000>
    }
    texture {
      CCFWood1
      scale <0.500000, 0.500000, 0.500000>
      rotate <3.000000, -85.000000, -2.000000>
    }
  }
  translate <6.500000, 0.000000, -3.615281>
}

